﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfCheckBox1 : Dioada.ActiveFinish.Controls.AFCheckBox
{

    public AfCheckBox1()
    {
        this.InitializeComponent();
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnMouseEnter(System.EventArgs e)
	{
		base.OnMouseEnter(e);
		Effect shadow = (Effect)this.Canvas.RootLayer.FindEffectByName("shadow", true, true).Last;
		shadow.Enabled = true;
		this.RefreshImage();
	}

    protected override void OnMouseLeave(System.EventArgs e)
	{
		base.OnMouseLeave(e);
		Effect shadow = (Effect)this.Canvas.RootLayer.FindEffectByName("shadow", true, true).Last;
		shadow.Enabled = false;
		this.RefreshImage();
	}

    private void InitializeComponent()
    {
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Layer layer1 = new Dioada.ActiveFinish.Layer();
        Dioada.ActiveFinish.EffectSet effectSet2 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.DropShadow dropShadow1 = new Dioada.ActiveFinish.Effects.DropShadow();
        Dioada.ActiveFinish.ElementSet elementSet2 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin1 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AfCheckBox1));
        this.SuspendLayout();
        // 
        // AfCheckBox1
        // 
        this.Canvas.RootLayer.EffectSet = effectSet1;
        linearGradientRectangle1.BorderRadius = 18F;
        linearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(((int)(((byte)(50)))), ((int)(((byte)(192)))), ((int)(((byte)(192)))), ((int)(((byte)(0)))));
        linearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(((int)(((byte)(50)))), ((int)(((byte)(64)))), ((int)(((byte)(64)))), ((int)(((byte)(0)))));
        dropShadow1.Enabled = false;
        dropShadow1.Name = "shadow";
        dropShadow1.OffsetX = 0.044F;
        dropShadow1.OffsetY = 0.018F;
        effectSet2.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            dropShadow1});
        layer1.EffectSet = effectSet2;
        imagePlugin1.Location = new Dioada.Drawing.SngPoint(0F, 0.05479452F);
        imagePlugin1.Size = new System.Drawing.SizeF(0.8533334F, 0.8767123F);
        imagePlugin1.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image")));
        elementSet2.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            imagePlugin1});
        layer1.ElementSet = elementSet2;
        layer1.Size = new System.Drawing.SizeF(0.5208333F, 1F);
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            layer1});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(164, 83);
        this.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
        this.UseVisualStyleBackColor = true;
        this.ResumeLayout(false);

    }

}
