﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfFlatButton1 : Dioada.ActiveFinish.Controls.AFFlatButton
{

    private System.ComponentModel.IContainer components;

    internal System.Windows.Forms.Timer Timer1;
    public AfFlatButton1()
    {
        this.InitializeComponent();
        this.Timer1.Tick += Timer_Tick;
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnHandleCreated(System.EventArgs e)
	{
		base.OnHandleCreated(e);
		Element underline = (Element)this.Canvas.RootLayer.FindElementByName("underline", true, true).Last;
		underline.Enabled = false;
		this.RefreshImage();
	}

    protected override void OnMouseEnter(System.EventArgs e)
	{
		base.OnMouseEnter(e);
		Element underline = (Element)this.Canvas.RootLayer.FindElementByName("underline", true, true).Last;
		underline.Enabled = true;
		this.Timer1.Tag = 1;
		this.Timer1.Start();
	}

    protected override void OnMouseLeave(System.EventArgs e)
	{
		base.OnMouseLeave(e);
		this.Timer1.Tag = -1;
		TextGDIPlus textActive = (TextGDIPlus)this.Canvas.RootLayer.FindElementByName("text_Active", true, true).Last;
		textActive.Font = new Font(textActive.Font, FontStyle.Regular);
		textActive.ForeColor = Color.Black;
		this.RefreshImage();
		this.Timer1.Start();
	}


    private void Timer_Tick(object sender, System.EventArgs e)
	{
		Layer rootLayer = this.Canvas.RootLayer;

		Element underline = (Element)rootLayer.FindElementByName("underline", true, true).Last;
		SizeF sz = underline.Size;
		int i = (int)(this.Timer1.Tag);
		float h = sz.Height + 0.15f * i;

		if ((h >= 1.7f)) {
			this.Timer1.Stop();
			if (h > 1.7f) {
				TextGDIPlus textActive = (TextGDIPlus)rootLayer.FindElementByName("text_Active", true, true).Last;
				textActive.Font = new Font(textActive.Font, FontStyle.Italic);
				textActive.ForeColor = Color.DarkRed;
			}
		} else if (h <= 0.1f) {
			this.Timer1.Stop();
			underline.Enabled = false;
		}
		underline.SetSize(this.Canvas.Size, new SizeF(sz.Width, h), ReSizeAnchor.TopRight);

		this.RefreshImage();
	}


    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Layer layer1 = new Dioada.ActiveFinish.Layer();
        Dioada.ActiveFinish.EffectSet effectSet2 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.ElementSet elementSet2 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.DividerLine dividerLine1 = new Dioada.ActiveFinish.Elements.DividerLine();
        Dioada.ActiveFinish.Elements.HorizontalLine horizontalLine1 = new Dioada.ActiveFinish.Elements.HorizontalLine();
        Dioada.ActiveFinish.Elements.HorizontalLine horizontalLine2 = new Dioada.ActiveFinish.Elements.HorizontalLine();
        Dioada.ActiveFinish.Elements.TextGDIPlus autoSizeText1 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.TextGDIPlus autoSizeText2 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        this.Timer1 = new System.Windows.Forms.Timer(this.components);
        this.SuspendLayout();
        // 
        // Timer1
        // 
        this.Timer1.Interval = 1;
        // 
        // AfFlatButton1
        // 
        this.Canvas.RootLayer.EffectSet = effectSet1;
        layer1.EffectSet = effectSet2;
        dividerLine1.Angle = 337F;
        dividerLine1.Location = new Dioada.Drawing.SngPoint(-0.0673077F, 0.01010101F);
        dividerLine1.Size = new System.Drawing.SizeF(1.125F, 1F);
        dividerLine1.SizeWhenRasterized = new System.Drawing.Size(208, 2);
        horizontalLine1.Angle = 337F;
        horizontalLine1.Color = System.Drawing.Color.RoyalBlue;
        horizontalLine1.Location = new Dioada.Drawing.SngPoint(-0.02548544F, 0.1881443F);
        horizontalLine1.PenWidth = 2;
        horizontalLine1.Size = new System.Drawing.SizeF(0.5315534F, 0.02061856F);
        elementSet2.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            dividerLine1,
            horizontalLine1});
        layer1.ElementSet = elementSet2;
        layer1.Location = new Dioada.Drawing.SngPoint(0.004807692F, 0.01010101F);
        layer1.Size = new System.Drawing.SizeF(0.9903846F, 0.979798F);
        horizontalLine2.Angle = 90F;
        horizontalLine2.Location = new Dioada.Drawing.SngPoint(0.9615384F, 0.9191919F);
        horizontalLine2.Name = "underline";
        horizontalLine2.Size = new System.Drawing.SizeF(0.02884615F, 0.04040404F);
        horizontalLine2.SizeWhenRasterized = new System.Drawing.Size(208, 1);
        autoSizeText1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F);
        autoSizeText1.Location = new Dioada.Drawing.SngPoint(0.5288461F, 0.7171717F);
        autoSizeText1.Name = "text_Active";
        autoSizeText1.Size = new System.Drawing.SizeF(0.4519231F, 0.2020202F);
        autoSizeText1.Text = "Active";
        autoSizeText2.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        autoSizeText2.Location = new Dioada.Drawing.SngPoint(0.7596154F, 0.7171717F);
        autoSizeText2.Name = "text_Finish";
        autoSizeText2.Size = new System.Drawing.SizeF(0.4519231F, 0.2020202F);
        autoSizeText2.Text = "Finish";
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            layer1,
            horizontalLine2,
            autoSizeText1,
            autoSizeText2});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SizeWhenRasterized = new System.Drawing.Size(208, 99);
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(208, 99);
        this.UseVisualStyleBackColor = true;
        this.ResumeLayout(false);

    }

}
