﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfFlatButton2 : Dioada.ActiveFinish.Controls.AFFlatButton
{

    private System.ComponentModel.IContainer components;
    internal System.Windows.Forms.Timer Timer1;
    private LinearGradientRectangle elBackground;
    private PathGradientRectangle elPicCover;
    private PathGradientEllipse elLight;
    private ImagePlugin elBackGroundImage;

    private ColorAdjustment efColorAdjust;
    public AfFlatButton2()
    {
        this.InitializeComponent();
        this.Timer1.Tick += Timer_Tick;
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnHandleCreated(System.EventArgs e)
    {
        base.OnHandleCreated(e);
        Layer rootLayer = this.Canvas.RootLayer;
        this.elBackground = (LinearGradientRectangle)rootLayer.FindElementByName("background", true, true).Last;
        this.elPicCover = (PathGradientRectangle)rootLayer.FindElementByName("picCover", true, true).Last;
        this.elLight = (PathGradientEllipse)rootLayer.FindElementByName("light", true, true).Last;
        this.elBackGroundImage = (ImagePlugin)rootLayer.FindElementByName("backgroundImage", true, true).Last;
        this.efColorAdjust = (ColorAdjustment)rootLayer.FindFirstEffectByType(typeof(ColorAdjustment), true).Last;
    }

    protected override void OnMouseEnter(System.EventArgs e)
    {
        base.OnMouseEnter(e);
        this.Timer1.Tag = -1;
        this.Timer1.Start();
    }

    protected override void OnMouseLeave(System.EventArgs e)
    {
        base.OnMouseLeave(e);
        this.Timer1.Tag = 1;
        this.Timer1.Start();
    }


    private void Timer_Tick(object sender, EventArgs e)
    {
        int i = Convert.ToInt32(this.Timer1.Tag);
        Color color = default(Color);
        int opacity = 0;

        // Adjust the border
        LinearGradientRectangle bg = this.elBackground;
        bg.BorderFillColorBlendPosition -= Convert.ToSingle(i / 100);
        color = bg.BorderFillColor1;
        int R = color.R;
        R += i;
        bg.BorderFillColor1 = Color.FromArgb((byte)R, (byte)R, color.B);

        color = bg.BackColor1;
        opacity = color.A;
        opacity -= i * 7;
        if (opacity <= 0)
        {
            opacity = 0;
        }
        else if (opacity >= 255)
        {
            opacity = 255;
        }
        bg.BackColor1 = Color.FromArgb(opacity, color);
        bg.BackColor2 = Color.FromArgb(opacity, bg.BackColor2);

        // Adjust the light
        color = this.elLight.BackSurroundColor;
        opacity = color.A;
        opacity -= i;
        this.elLight.BackSurroundColor = Color.FromArgb((byte)(opacity), color);
        int hue = this.efColorAdjust.Hue;
        hue += 1 * 2;
        if (hue > 180)
        {
            hue = -180;
        }
        this.efColorAdjust.Hue = hue;

        // Reveal the image
        color = this.elPicCover.BackCenterColor;
        opacity = color.A;
        opacity += i * 7;
        if (opacity <= 0)
        {
            opacity = 0;
            this.Timer1.Stop();
        }
        else if (opacity >= 255)
        {
            opacity = 255;
            this.Timer1.Stop();
        }
        this.elPicCover.BackCenterColor = Color.FromArgb(opacity, color);
        this.elPicCover.BackSurroundColor = Color.FromArgb(opacity, this.elPicCover.BackSurroundColor);
        this.RefreshImage();

    }

    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin1 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin2 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Elements.PathGradientRectangle pathGradientRectangle1 = new Dioada.ActiveFinish.Elements.PathGradientRectangle();
        Dioada.ActiveFinish.Layer layer1 = new Dioada.ActiveFinish.Layer();
        Dioada.ActiveFinish.EffectSet effectSet2 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.ColorAdjustment colorAdjustment1 = new Dioada.ActiveFinish.Effects.ColorAdjustment();
        Dioada.ActiveFinish.ElementSet elementSet2 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.PathGradientEllipse pathGradientEllipse1 = new Dioada.ActiveFinish.Elements.PathGradientEllipse();
        this.Timer1 = new System.Windows.Forms.Timer(this.components);
        this.SuspendLayout();
        // 
        // Timer1
        // 
        this.Timer1.Interval = 1;
        // 
        // AfFlatButton2
        // 
        this.Canvas.RootLayer.EffectSet = effectSet1;
        imagePlugin1.Location = new Dioada.Drawing.SngPoint(0.1066667F, 0.08F);
        imagePlugin1.Name = "backgroundImage";
        imagePlugin1.Size = new System.Drawing.SizeF(0.7866667F, 0.84F);
        imagePlugin1.Source.Image = global::Demonstration.Properties.Resources._3men;
        linearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(169)))), ((int)(((byte)(169)))), ((int)(((byte)(169)))));
        linearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(245)))), ((int)(((byte)(245)))), ((int)(((byte)(245)))));
        linearGradientRectangle1.BorderFillColor1 = System.Drawing.Color.DarkGray;
        linearGradientRectangle1.BorderFillColor2 = System.Drawing.Color.WhiteSmoke;
        linearGradientRectangle1.BorderRadius = 87.1F;
        linearGradientRectangle1.BorderWidth = 25;
        linearGradientRectangle1.Name = "background";
        linearGradientRectangle1.OuterBorderColor = System.Drawing.Color.Black;
        imagePlugin2.Angle = 317F;
        imagePlugin2.Location = new Dioada.Drawing.SngPoint(0.2044444F, 0.3644444F);
        imagePlugin2.Name = "keyboard";
        imagePlugin2.Size = new System.Drawing.SizeF(0.5955555F, 0.2711111F);
        imagePlugin2.Source.Image = global::Demonstration.Properties.Resources.keyboard;
        pathGradientRectangle1.Angle = 318F;
        pathGradientRectangle1.BorderFillColor1 = System.Drawing.Color.DarkGray;
        pathGradientRectangle1.BorderFillColor2 = System.Drawing.Color.WhiteSmoke;
        pathGradientRectangle1.BorderRadius = 40.3F;
        pathGradientRectangle1.BorderWidth = 18;
        pathGradientRectangle1.Location = new Dioada.Drawing.SngPoint(0.1422222F, 0.3066667F);
        pathGradientRectangle1.Name = "picCover";
        pathGradientRectangle1.OuterBorderColor = System.Drawing.Color.Black;
        pathGradientRectangle1.Size = new System.Drawing.SizeF(0.72F, 0.3866667F);
        effectSet2.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            colorAdjustment1});
        layer1.EffectSet = effectSet2;
        pathGradientEllipse1.BackSurroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(146)))), ((int)(((byte)(255)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
        pathGradientEllipse1.BorderFillColor1 = System.Drawing.Color.DarkGray;
        pathGradientEllipse1.BorderFillColor2 = System.Drawing.Color.WhiteSmoke;
        pathGradientEllipse1.BorderWidth = 5;
        pathGradientEllipse1.Location = new Dioada.Drawing.SngPoint(0.4044445F, 0.4F);
        pathGradientEllipse1.Name = "light";
        pathGradientEllipse1.OuterBorderColor = System.Drawing.Color.Black;
        pathGradientEllipse1.Size = new System.Drawing.SizeF(0.2088889F, 0.2044444F);
        elementSet2.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            pathGradientEllipse1});
        layer1.ElementSet = elementSet2;
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            imagePlugin1,
            linearGradientRectangle1,
            imagePlugin2,
            pathGradientRectangle1,
            layer1});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(225, 225);
        this.ResumeLayout(false);

    }

}
