﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfFlatButton3 : Dioada.ActiveFinish.Controls.AFFlatButton
{

    public AfFlatButton3()
    {
        this.InitializeComponent();
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    private GlassCover _Cover;
    private GlassCover Cover
    {
        get
        {
            if (this._Cover == null)
            {
                this._Cover = (GlassCover)this.Canvas.RootLayer.FindFirstElementByType(typeof(GlassCover), true).Last;
            }
            return this._Cover;
        }
    }

    protected override void OnMouseEnter(System.EventArgs e)
    {
        base.OnMouseEnter(e);
        this.Cover.InvokeMouseEnterEffect();
    }

    protected override void OnMouseLeave(System.EventArgs e)
    {
        base.OnMouseLeave(e);
        this.Cover.InvokeMouseLeaveEffect();
    }

    protected override void OnMouseDown(System.Windows.Forms.MouseEventArgs mevent)
    {
        base.OnMouseDown(mevent);
        this.Cover.InvokeMouseDownEffect();
    }

    protected override void OnMouseUp(System.Windows.Forms.MouseEventArgs mevent)
    {
        base.OnMouseUp(mevent);
        this.Cover.InvokeMouseUpEffect();
    }

    private void InitializeComponent()
    {
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.TextGDIPlus alignableText1 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin1 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AfFlatButton3));
        Dioada.ActiveFinish.Elements.GlassCover glassCover1 = new Dioada.ActiveFinish.Elements.GlassCover();
        this.SuspendLayout();
        // 
        // AfFlatButton3
        // 
        this.Canvas.RootLayer.EffectSet = effectSet1;
        linearGradientRectangle1.InnerBorderColor = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
        linearGradientRectangle1.BorderWidth = 0;
        linearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
        linearGradientRectangle1.BackColorAngle = 8F;
        linearGradientRectangle1.Location = new Dioada.Drawing.SngPoint(0.006666667F, 0.01F);
        linearGradientRectangle1.Size = new System.Drawing.SizeF(0.9866667F, 0.98F);
        linearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
        alignableText1.AutoSize = false;
        alignableText1.Alignment = ContentAlignment.MiddleRight;
        alignableText1.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        alignableText1.ForeColor = System.Drawing.Color.Black;
        alignableText1.Location = new Dioada.Drawing.SngPoint(0.04F, 0.12F);
        alignableText1.Size = new System.Drawing.SizeF(0.6933333F, 0.82F);
        alignableText1.Text = "The GlassCover element has built in effects that can be invoked during mouse even" +
            "ts.";
        imagePlugin1.Location = new Dioada.Drawing.SngPoint(0.7733333F, 0.64F);
        imagePlugin1.Size = new System.Drawing.SizeF(0.2133333F, 0.32F);
        imagePlugin1.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image")));
        glassCover1.HoverColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(0)))));
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            alignableText1,
            imagePlugin1,
            glassCover1});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(150, 100);
        this.ResumeLayout(false);

    }

}
