﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfLabel3 : Dioada.ActiveFinish.Controls.AFLabel
{

    private System.ComponentModel.IContainer components;
    internal System.Windows.Forms.Timer Timer1;

    private GlassCover Cover;
    public AfLabel3()
    {
        this.InitializeComponent();
        this.Timer1.Tick += TimerTick;
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnHandleCreated(System.EventArgs e)
    {
        base.OnHandleCreated(e);
        this.Cover = (GlassCover)this.Canvas.RootLayer.FindElementByName("glasscover", true, true).Last;
    }

    protected override void OnMouseEnter(System.EventArgs e)
    {
        base.OnMouseEnter(e);
        this.Timer1.Tag = -1;
        this.Timer1.Start();
    }

    protected override void OnMouseLeave(System.EventArgs e)
    {
        base.OnMouseLeave(e);
        this.Timer1.Tag = 1;
        this.Timer1.Start();
    }

    private void TimerTick(object sender, EventArgs e)
    {
        SizeF size = this.Cover.Size;
        float w = size.Width;
        int i = (int)(this.Timer1.Tag);
        w += (float)(i * 0.03);
        if (w <= 0)
        {
            w = 0;
            this.Timer1.Stop();
        }
        else if (w >= 1)
        {
            w = 1;
            this.Timer1.Stop();
        }
        this.Cover.Size = new SizeF(w, size.Height);
        this.RefreshImage();
    }

    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.TextGDIPlus alignableText1 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin1 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AfLabel3));
        Dioada.ActiveFinish.Elements.GlassCover glassCover1 = new Dioada.ActiveFinish.Elements.GlassCover();
        this.Timer1 = new System.Windows.Forms.Timer(this.components);
        this.SuspendLayout();
        // 
        // Timer1
        // 
        this.Timer1.Interval = 1;
        // 
        // AfLabel3
        // 
        this.Canvas.RootLayer.EffectSet = effectSet1;
        linearGradientRectangle1.BorderRadius = 12F;
        alignableText1.AutoSize = false;
        alignableText1.Alignment = ContentAlignment.MiddleCenter; 
        alignableText1.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        alignableText1.Location = new Dioada.Drawing.SngPoint(0.48F, 0.0375F);
        alignableText1.Size = new System.Drawing.SizeF(0.5F, 0.925F);
        alignableText1.Text = "Hover to remove the cover";
        imagePlugin1.Location = new Dioada.Drawing.SngPoint(0.04666667F, 0.1F);
        imagePlugin1.Size = new System.Drawing.SizeF(0.42F, 0.8F);
        imagePlugin1.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image")));
        glassCover1.Name = "glasscover";
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            alignableText1,
            imagePlugin1,
            glassCover1});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(150, 80);
        this.ResumeLayout(false);

    }

}
