﻿using System;
using System.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfPictureBox1 : Dioada.ActiveFinish.Controls.AFPictureBox
{

    private System.ComponentModel.IContainer components;
    internal System.Windows.Forms.Timer Timer1;

    Point savPoint;
    public AfPictureBox1()
    {
        this.InitializeComponent();
        this.Timer1.Tick += Timer1_Tick;
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnMouseEnter(System.EventArgs e)
    {
        base.OnMouseEnter(e);
        this.Timer1.Start();
    }

    protected override void OnMouseLeave(System.EventArgs e)
    {
        base.OnMouseLeave(e);
        this.Timer1.Stop();
    }

    protected override void OnClick(System.EventArgs e)
    {
        base.OnClick(e);
        Effect plugin = this.Canvas.RootLayer.Effects[0];
        plugin.Enabled = !plugin.Enabled;
        this.RefreshImage();
    }

    private void Timer1_Tick(object sender, EventArgs e)
    {
        Point pos = this.PointToClient(MousePosition);
        if (pos != savPoint)
        {
            savPoint = pos;
            int w = this.Width;
            int h = this.Height;
            float x = (float)((float)(pos.X - w / 2) / w) * 2;
            float y = (float)((float)(pos.Y - h / 2) / h) * 2;
            SpotLight light = (SpotLight)this.Canvas.RootLayer.Effects[0];
            light.FocalPoint = new Dioada.Drawing.SngPoint(x, y);
            this.RefreshImage();
        }
    }

    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.SpotLight spotLight1 = new Dioada.ActiveFinish.Effects.SpotLight();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.TextGDIPlus textGDIPlus1 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.TextGDIPlus textGDIPlus2 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin1 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AfPictureBox1));
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin2 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin3 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin4 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin5 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Layer layer1 = new Dioada.ActiveFinish.Layer();
        Dioada.ActiveFinish.EffectSet effectSet2 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.ColorAdjustment colorAdjustment1 = new Dioada.ActiveFinish.Effects.ColorAdjustment();
        Dioada.ActiveFinish.Effects.DropShadow dropShadow1 = new Dioada.ActiveFinish.Effects.DropShadow();
        Dioada.ActiveFinish.Effects.Negative negative1 = new Dioada.ActiveFinish.Effects.Negative();
        Dioada.ActiveFinish.ElementSet elementSet2 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle2 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin6 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        Dioada.ActiveFinish.Elements.TextGDIPlus textGDIPlus3 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.TextGDIPlus textGDIPlus4 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.GlassCover glassCover1 = new Dioada.ActiveFinish.Elements.GlassCover();
        Dioada.ActiveFinish.Elements.LinearGradientEllipse linearGradientEllipse1 = new Dioada.ActiveFinish.Elements.LinearGradientEllipse();
        Dioada.ActiveFinish.Elements.TextGDIPlus textGDIPlus5 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        Dioada.ActiveFinish.Elements.TextGDIPlus textGDIPlus6 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        this.Timer1 = new System.Windows.Forms.Timer(this.components);
        ((System.ComponentModel.ISupportInitialize)(this)).BeginInit();
        this.SuspendLayout();
        // 
        // Timer1
        // 
        this.Timer1.Interval = 1;
        // 
        // AfPictureBox1
        // 
        spotLight1.Enabled = false;
        effectSet1.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            spotLight1});
        this.Canvas.RootLayer.EffectSet = effectSet1;
        linearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(0)))));
        linearGradientRectangle1.BorderRadius = 27F;
        textGDIPlus1.Alignment = System.Drawing.ContentAlignment.MiddleLeft;
        textGDIPlus1.AutoSize = false;
        textGDIPlus1.Font = new System.Drawing.Font("Trebuchet MS", 9.75F);
        textGDIPlus1.Location = new Dioada.Drawing.SngPoint(0.2506024F, 0.0521978F);
        textGDIPlus1.Name = "top_text";
        textGDIPlus1.Size = new System.Drawing.SizeF(0.6602409F, 0.1126374F);
        textGDIPlus1.Text = "An ActiveFinish control can contain as many Elements as you wish...";
        textGDIPlus2.Alignment = System.Drawing.ContentAlignment.MiddleCenter;
        textGDIPlus2.Angle = 346F;
        textGDIPlus2.AutoSize = false;
        textGDIPlus2.Font = new System.Drawing.Font("Trebuchet MS", 11.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        textGDIPlus2.ForeColor = System.Drawing.Color.Red;
        textGDIPlus2.Location = new Dioada.Drawing.SngPoint(0.06265061F, 0.2692308F);
        textGDIPlus2.Name = "rotated_text";
        textGDIPlus2.RenderingMode = System.Drawing.Text.TextRenderingHint.AntiAlias;
        textGDIPlus2.Size = new System.Drawing.SizeF(0.4333333F, 0.18F);
        textGDIPlus2.Text = "Each element can be individually rotated and sized...";
        imagePlugin1.Location = new Dioada.Drawing.SngPoint(0.1060241F, 0.04945055F);
        imagePlugin1.Name = "arrow_right1";
        imagePlugin1.Size = new System.Drawing.SizeF(0.1156626F, 0.1318681F);
        imagePlugin1.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image")));
        imagePlugin2.Angle = 180F;
        imagePlugin2.Location = new Dioada.Drawing.SngPoint(0.4024096F, 0.6346154F);
        imagePlugin2.Name = "arrow_right2";
        imagePlugin2.Size = new System.Drawing.SizeF(0.1060241F, 0.06318682F);
        imagePlugin2.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image1")));
        imagePlugin3.Angle = 30F;
        imagePlugin3.Location = new Dioada.Drawing.SngPoint(0.3927711F, 0.3763736F);
        imagePlugin3.Name = "arrow_right3";
        imagePlugin3.Size = new System.Drawing.SizeF(0.1036145F, 0.06318682F);
        imagePlugin3.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image2")));
        imagePlugin4.Angle = 114F;
        imagePlugin4.Location = new Dioada.Drawing.SngPoint(0.226506F, 0.1840659F);
        imagePlugin4.Name = "arrow_right4";
        imagePlugin4.Size = new System.Drawing.SizeF(0.1036145F, 0.06318682F);
        imagePlugin4.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image3")));
        imagePlugin5.Angle = 30F;
        imagePlugin5.Location = new Dioada.Drawing.SngPoint(0.1445783F, 0.8489011F);
        imagePlugin5.Name = "arrow_right5";
        imagePlugin5.Size = new System.Drawing.SizeF(0.1036145F, 0.06318682F);
        imagePlugin5.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image4")));
        layer1.Angle = 45F;
        effectSet2.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            colorAdjustment1,
            dropShadow1,
            negative1});
        layer1.EffectSet = effectSet2;
        linearGradientRectangle2.BorderRadius = 27F;
        imagePlugin6.Location = new Dioada.Drawing.SngPoint(0.03149606F, 0.04237288F);
        imagePlugin6.Size = new System.Drawing.SizeF(0.2519685F, 0.2711864F);
        imagePlugin6.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image5")));
        textGDIPlus3.AutoSize = false;
        textGDIPlus3.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        textGDIPlus3.Location = new Dioada.Drawing.SngPoint(0.2992126F, 0.03389831F);
        textGDIPlus3.Name = "top_right_text";
        textGDIPlus3.Size = new System.Drawing.SizeF(0.6692913F, 0.4237288F);
        textGDIPlus3.Text = "... Or grouped with other elements in a Layer ...";
        textGDIPlus4.Alignment = System.Drawing.ContentAlignment.MiddleCenter;
        textGDIPlus4.AutoSize = false;
        textGDIPlus4.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        textGDIPlus4.ForeColor = System.Drawing.Color.Blue;
        textGDIPlus4.Location = new Dioada.Drawing.SngPoint(0.05511811F, 0.5F);
        textGDIPlus4.Name = "top_right_text_other";
        textGDIPlus4.Size = new System.Drawing.SizeF(0.6692913F, 0.4237288F);
        textGDIPlus4.Text = "... then rotated, scaled and rendered with effects.";
        glassCover1.Location = new Dioada.Drawing.SngPoint(0.03937008F, 0.4661017F);
        glassCover1.Size = new System.Drawing.SizeF(0.6850393F, 0.4830509F);
        linearGradientEllipse1.Angle = 89F;
        linearGradientEllipse1.BackColor1 = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
        linearGradientEllipse1.BackColor2 = System.Drawing.Color.SteelBlue;
        linearGradientEllipse1.BorderWidth = 0;
        linearGradientEllipse1.Location = new Dioada.Drawing.SngPoint(0.7322835F, 0.6864407F);
        linearGradientEllipse1.Size = new System.Drawing.SizeF(0.2598425F, 0.2372881F);
        elementSet2.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle2,
            imagePlugin6,
            textGDIPlus3,
            textGDIPlus4,
            glassCover1,
            linearGradientEllipse1});
        layer1.ElementSet = elementSet2;
        layer1.Location = new Dioada.Drawing.SngPoint(0.5012048F, 0.3461539F);
        layer1.Size = new System.Drawing.SizeF(0.4233333F, 0.3933333F);
        textGDIPlus5.Alignment = System.Drawing.ContentAlignment.MiddleCenter;
        textGDIPlus5.AutoSize = false;
        textGDIPlus5.Font = new System.Drawing.Font("Trebuchet MS", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        textGDIPlus5.ForeColor = System.Drawing.Color.Black;
        textGDIPlus5.Location = new Dioada.Drawing.SngPoint(0.02168675F, 0.5137362F);
        textGDIPlus5.Name = "left_text";
        textGDIPlus5.Size = new System.Drawing.SizeF(0.3710843F, 0.2994505F);
        textGDIPlus5.Text = "All Layers and Elements on a control are, themselves, contained in a root layer.\r" +
            "\nClick me to apply a global effect...";
        textGDIPlus6.AutoSize = false;
        textGDIPlus6.Font = new System.Drawing.Font("Verdana", 9.75F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        textGDIPlus6.ForeColor = System.Drawing.Color.RoyalBlue;
        textGDIPlus6.Location = new Dioada.Drawing.SngPoint(0.2819277F, 0.8406593F);
        textGDIPlus6.Name = "bottom_text";
        textGDIPlus6.Size = new System.Drawing.SizeF(0.7180723F, 0.1593407F);
        textGDIPlus6.Text = "... and because each element is an object, anything you can do at design-time can" +
            " also be done at run-time.";
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            textGDIPlus1,
            textGDIPlus2,
            imagePlugin1,
            imagePlugin2,
            imagePlugin3,
            imagePlugin4,
            imagePlugin5,
            layer1,
            textGDIPlus5,
            textGDIPlus6});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(415, 364);
        ((System.ComponentModel.ISupportInitialize)(this)).EndInit();
        this.ResumeLayout(false);

    }
}
