﻿using System;
using System.Drawing;
using Dioada.Drawing;
using Dioada.ActiveFinish;
using Dioada.ActiveFinish.Elements;
using Dioada.ActiveFinish.Effects;

public class AfRadioButton1 : Dioada.ActiveFinish.Controls.AFRadioButton
{

    private System.ComponentModel.IContainer components;

    internal System.Windows.Forms.Timer Timer1;
    public AfRadioButton1()
    {
        this.InitializeComponent();
        Timer1.Tick += Timer_Tick;
    }

    // We're presetting the canvas, so we'll hide at design-time.
    [System.ComponentModel.Browsable(false), System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)]
    public override CanvasASO Canvas
    {
        get
        {
            return base.Canvas;
        }
    }

    protected override void OnMouseEnter(System.EventArgs e)
    {
        base.OnMouseEnter(e);
        this.Timer1.Tag = -1;
        this.Timer1.Start();
    }

    protected override void OnMouseLeave(System.EventArgs e)
    {
        base.OnMouseLeave(e);
        this.Timer1.Tag = 1;
        this.Timer1.Start();
    }


    private void Timer_Tick(object sender, System.EventArgs e)
    {
        Layer rootLayer = this.Canvas.RootLayer;

        SpotLight light = (SpotLight)rootLayer.Effects[0];
        SngPoint off = light.FocalPoint;
        int i = (int)(this.Timer1.Tag);
        off.X += 0.1f * i;
        off.Y += 0.1f * -i;

        if (off.X <= 1f)
        {
            off = new Dioada.Drawing.SngPoint(1f, -1f);
            this.Timer1.Stop();
        }
        else if (off.X >= 4f)
        {
            off = new Dioada.Drawing.SngPoint(4f, -4f);
            this.Timer1.Stop();
        }

        light.FocalPoint = off;

        this.RefreshImage();
    }

    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
        Dioada.ActiveFinish.EffectSet effectSet1 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.SpotLight spotLight1 = new Dioada.ActiveFinish.Effects.SpotLight();
        Dioada.ActiveFinish.ElementSet elementSet1 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.LinearGradientRectangle linearGradientRectangle1 = new Dioada.ActiveFinish.Elements.LinearGradientRectangle();
        Dioada.ActiveFinish.Elements.ImagePlugin imagePlugin1 = new Dioada.ActiveFinish.Elements.ImagePlugin();
        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(AfRadioButton1));
        Dioada.ActiveFinish.Layer layer1 = new Dioada.ActiveFinish.Layer();
        Dioada.ActiveFinish.EffectSet effectSet2 = new Dioada.ActiveFinish.EffectSet();
        Dioada.ActiveFinish.Effects.DropShadow dropShadow1 = new Dioada.ActiveFinish.Effects.DropShadow();
        Dioada.ActiveFinish.ElementSet elementSet2 = new Dioada.ActiveFinish.ElementSet();
        Dioada.ActiveFinish.Elements.TextGDIPlus alignableText1 = new Dioada.ActiveFinish.Elements.TextGDIPlus();
        this.Timer1 = new System.Windows.Forms.Timer(this.components);
        this.SuspendLayout();
        // 
        // Timer1
        // 
        this.Timer1.Interval = 1;
        // 
        // AfRadioButton1
        // 
        spotLight1.FocalPoint = new Dioada.Drawing.SngPoint(4F, -4F);
        spotLight1.Name = "spotlight";
        effectSet1.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            spotLight1});
        this.Canvas.RootLayer.EffectSet = effectSet1;
        linearGradientRectangle1.BorderRadius = 12F;
        linearGradientRectangle1.BackColor1 = System.Drawing.Color.White;
        linearGradientRectangle1.BackColorAngle = 360F;
        linearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(0)))));
        imagePlugin1.Location = new Dioada.Drawing.SngPoint(0.6096257F, 0.1097561F);
        imagePlugin1.Size = new System.Drawing.SizeF(0.342246F, 0.7804878F);
        imagePlugin1.Source.Image = ((System.Drawing.Image)(resources.GetObject("resource.Image")));
        dropShadow1.Opacity = 0.9F;
        effectSet2.Effects.AddRange(new Dioada.ActiveFinish.Effect[] {
            dropShadow1});
        layer1.EffectSet = effectSet2;
        alignableText1.AutoSize = false;
        alignableText1.Alignment = ContentAlignment.MiddleCenter;
        alignableText1.Font = new System.Drawing.Font("Tahoma", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
        alignableText1.ForeColor = System.Drawing.Color.White;
        alignableText1.Location = new Dioada.Drawing.SngPoint(0.171123F, 0.1951219F);
        alignableText1.Name = "text";
        alignableText1.RenderingMode = System.Drawing.Text.TextRenderingHint.AntiAlias;
        alignableText1.Size = new System.Drawing.SizeF(0.4438503F, 0.6219512F);
        alignableText1.Text = "Lighting Effect";
        elementSet2.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            alignableText1});
        layer1.ElementSet = elementSet2;
        elementSet1.Elements.AddRange(new Dioada.ActiveFinish.Element[] {
            linearGradientRectangle1,
            imagePlugin1,
            layer1});
        this.Canvas.RootLayer.ElementSet = elementSet1;
        this.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias;
        this.Size = new System.Drawing.Size(208, 91);
        this.UseVisualStyleBackColor = true;
        this.ResumeLayout(false);

    }

}
