﻿namespace DemoVB
{
    using Dioada.ActiveFinish;
    using Dioada.ActiveFinish.Controls;
    using Dioada.ActiveFinish.Elements;
    using Dioada.Drawing;
    using Microsoft.VisualBasic;
    using Microsoft.VisualBasic.CompilerServices;
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Diagnostics;
    using System.Drawing;
    using System.Runtime.CompilerServices;
    using System.Windows.Forms;

    [DesignerGenerated]
    public class PaddleAndBall : Form
    {
        [AccessedThroughProperty("AfButton1")]
        private AFButton _AfButton1;
        [AccessedThroughProperty("tmrAnimation")]
        private Timer _tmrAnimation;
        private float BallSpeedX;
        private float BallSpeedY;
        private IContainer components;
        private LinearGradientRectangle elBackGround;
        private LinearGradientEllipse elBall;
        private LinearGradientRectangle elPaddle;
        private TextGDIPlus elStartInfo;
        private TextGDIPlus elTime;
        private bool MoveLeft;
        private bool MoveRight;
        private float PaddleSpeed;
        private DateTime StartTime;

        public PaddleAndBall()
        {
            this.InitializeComponent();
            ElementCollection elements = this.AfButton1.Canvas.RootLayer.Elements;
            this.elBackGround = (LinearGradientRectangle) elements[0];
            this.elBall = (LinearGradientEllipse) elements[1];
            this.elPaddle = (LinearGradientRectangle) elements[2];
            TextGDIPlus txt = new TextGDIPlus();
            this.elStartInfo = txt;
            SngPoint VB$t_struct$S0 = new SngPoint(0.1821705f, 0.4332553f);
            txt.Location = VB$t_struct$S0;
            txt.Text = "Click the button to start. Use Z to move left and X to move right.";
            txt.Name = "startinfo";
            elements.Insert(1, txt);
            txt = new TextGDIPlus();
            this.elTime = txt;
            VB$t_struct$S0 = new SngPoint(0.01f, 0.01f);
            txt.Location = VB$t_struct$S0;
            txt.Text = "";
            txt.Name = "time";
            elements.Insert(2, txt);
            this.Reset();
        }

        private void AfButton1_Click(object sender, EventArgs e)
        {
            base.OnClick(e);
            if (this.tmrAnimation.Enabled)
            {
                this.tmrAnimation.Enabled = false;
            }
            else
            {
                this.StartTime = DateAndTime.Now;
                this.elTime.Text = "";
                this.elStartInfo.Enabled = false;
                this.tmrAnimation.Enabled = true;
            }
        }

        private void AfButton1_KeyDown(object sender, KeyEventArgs kevent)
        {
            if (kevent.KeyCode == Keys.Z)
            {
                this.MoveLeft = true;
            }
            else if (kevent.KeyCode == Keys.X)
            {
                this.MoveRight = true;
            }
            base.OnKeyDown(kevent);
        }

        private void AfButton1_KeyUp(object sender, KeyEventArgs kevent)
        {
            this.MoveLeft = false;
            this.MoveRight = false;
            base.OnKeyUp(kevent);
        }

        [DebuggerNonUserCode]
        protected override void Dispose(bool disposing)
        {
            try
            {
                if (disposing && (this.components != null))
                {
                    this.components.Dispose();
                }
            }
            finally
            {
                base.Dispose(disposing);
            }
        }

        [DebuggerStepThrough]
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            EffectSet EffectSet1 = new EffectSet();
            ElementSet ElementSet1 = new ElementSet();
            LinearGradientRectangle LinearGradientRectangle1 = new LinearGradientRectangle();
            LinearGradientEllipse LinearGradientEllipse1 = new LinearGradientEllipse();
            LinearGradientRectangle LinearGradientRectangle2 = new LinearGradientRectangle();
            this.AfButton1 = new AFButton();
            this.tmrAnimation = new Timer(this.components);
            this.SuspendLayout();
            this.AfButton1.Canvas.RootLayer.EffectSet = EffectSet1;
            LinearGradientRectangle1.Name = "background";
            LinearGradientEllipse1.BackColor1 = Color.FromArgb(0xff, 0xc0, 0xc0);
            LinearGradientEllipse1.BackColor2 = Color.Red;
            SngPoint VB$t_struct$S0 = new SngPoint(0.4695652f, 0.00286533f);
            LinearGradientEllipse1.Location = VB$t_struct$S0;
            LinearGradientEllipse1.Name = "ball";
            SizeF VB$t_struct$S1 = new SizeF(0.04f, 0.04f);
            LinearGradientEllipse1.Size = VB$t_struct$S1;
            LinearGradientRectangle2.BorderRadius = 4f;
            LinearGradientRectangle2.InnerBorderColor = Color.DodgerBlue;
            VB$t_struct$S0 = new SngPoint(0.3673913f, 0.9255014f);
            LinearGradientRectangle2.Location = VB$t_struct$S0;
            LinearGradientRectangle2.Name = "paddle";
            VB$t_struct$S1 = new SizeF(0.2f, 0.05999999f);
            LinearGradientRectangle2.Size = VB$t_struct$S1;
            ElementSet1.Elements.AddRange(new Element[] { LinearGradientRectangle1, LinearGradientEllipse1, LinearGradientRectangle2 });
            this.AfButton1.Canvas.RootLayer.ElementSet = ElementSet1;
            this.AfButton1.Canvas.RootLayer.SmoothingMode = SmoothingMode.AntiAlias;
            this.AfButton1.Dock = DockStyle.Fill;
            Point VB$t_struct$S2 = new Point(0, 0);
            this.AfButton1.Location = VB$t_struct$S2;
            this.AfButton1.Name = "AfButton1";
            Size VB$t_struct$S3 = new Size(0x1d4, 0x165);
            this.AfButton1.Size = VB$t_struct$S3;
            this.AfButton1.TabIndex = 0;
            this.AfButton1.UseVisualStyleBackColor = true;
            this.tmrAnimation.Interval = 1;
            VB$t_struct$S1 = new SizeF(6f, 13f);
            this.AutoScaleDimensions = VB$t_struct$S1;
            this.AutoScaleMode = AutoScaleMode.Font;
            VB$t_struct$S3 = new Size(0x1d4, 0x165);
            this.ClientSize = VB$t_struct$S3;
            this.Controls.Add(this.AfButton1);
            this.Name = "PaddleAndBall";
            this.Text = "PaddleAndBall";
            this.ResumeLayout(false);
        }

        private void MakeBallRound()
        {
            SizeF size = this.elBall.Size;
            Size containerSize = this.AfButton1.Canvas.Size;
            float w = containerSize.Width * 0.04f;
            SizeF VB$t_struct$S0 = new SizeF(w, w);
            this.elBall.SetAbsoluteSize((SizeF) containerSize, VB$t_struct$S0, ReSizeAnchor.None);
        }

        protected override void OnHandleCreated(EventArgs e)
        {
            base.OnHandleCreated(e);
            this.MakeBallRound();
        }

        protected override void OnSizeChanged(EventArgs e)
        {
            base.OnSizeChanged(e);
            if (this.elBall != null)
            {
                this.MakeBallRound();
            }
        }

        private void Reset()
        {
            SngPoint VB$t_struct$S0 = new SngPoint(0.5f, 0f);
            this.elBall.Location = VB$t_struct$S0;
            VB$t_struct$S0 = new SngPoint(0.4f, 0.92f);
            this.elPaddle.Location = VB$t_struct$S0;
            this.BallSpeedX = 0.01f;
            this.BallSpeedY = 0.007f;
            this.PaddleSpeed = 0.01f;
            this.elStartInfo.Enabled = true;
            this.AfButton1.RefreshImage();
        }

        private void TimerTick(object sender, EventArgs e)
        {
            LinearGradientEllipse ball = this.elBall;
            SngPoint loc = ball.Location;
            float ballX = loc.X;
            float ballY = loc.Y;
            ballX += this.BallSpeedX;
            ballY += this.BallSpeedY;
            SngPoint VB$t_struct$S0 = new SngPoint(ballX, ballY);
            ball.Location = VB$t_struct$S0;
            Size containerSize = this.AfButton1.Canvas.Size;
            RectangleF b1 = ball.GetAbsoluteBounds((SizeF) containerSize);
            RectangleF b2 = this.elPaddle.GetAbsoluteBounds((SizeF) containerSize);
            if (b1.Bottom >= b2.Top)
            {
                if ((b1.Right < b2.Left) || (b1.Left > b2.Right))
                {
                    this.Reset();
                    this.tmrAnimation.Stop();
                    return;
                }
                this.BallSpeedY *= -1f;
                ballY += this.BallSpeedY;
            }
            else
            {
                if (ballX > 1f)
                {
                    ballX = 1f;
                    this.BallSpeedX *= -1f;
                }
                else if (ballX < 0f)
                {
                    ballX = 0f;
                    this.BallSpeedX *= -1f;
                }
                if (ballY < 0f)
                {
                    ballY = 0f;
                    this.BallSpeedY *= -1f;
                }
            }
            LinearGradientEllipse VB$t_ref$S0 = ball;
            VB$t_ref$S0.BackColorAngle += (this.BallSpeedX > 0f) ? ((float) 5) : ((float) (-5));
            VB$t_struct$S0 = new SngPoint(ballX, ballY);
            ball.Location = VB$t_struct$S0;
            LinearGradientRectangle p = this.elPaddle;
            if (this.MoveLeft)
            {
                SngPoint VB$t_struct$S2 = new SngPoint(p.Location.X - this.PaddleSpeed, p.Location.Y);
                p.Location = VB$t_struct$S2;
            }
            else if (this.MoveRight)
            {
                VB$t_struct$S0 = new SngPoint(p.Location.X + this.PaddleSpeed, p.Location.Y);
                p.Location = VB$t_struct$S0;
            }
            TimeSpan ts = (TimeSpan) (DateAndTime.Now - this.StartTime);
            this.elTime.Text = string.Format("{0}:{1}.{2}", ts.Minutes, ts.Seconds, ts.Milliseconds);
            this.AfButton1.RefreshImage();
            this.BallSpeedX *= 1.0001f;
            this.BallSpeedY *= 1.0001f;
            this.PaddleSpeed *= 1.0001f;
        }

        internal virtual AFButton AfButton1
        {
            [DebuggerNonUserCode]
            get
            {
                return this._AfButton1;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                EventHandler handler = new EventHandler(this.AfButton1_Click);
                KeyEventHandler handler2 = new KeyEventHandler(this.AfButton1_KeyUp);
                KeyEventHandler handler3 = new KeyEventHandler(this.AfButton1_KeyDown);
                if (this._AfButton1 != null)
                {
                    this._AfButton1.Click -= handler;
                    this._AfButton1.KeyUp -= handler2;
                    this._AfButton1.KeyDown -= handler3;
                }
                this._AfButton1 = value;
                if (this._AfButton1 != null)
                {
                    this._AfButton1.Click += handler;
                    this._AfButton1.KeyUp += handler2;
                    this._AfButton1.KeyDown += handler3;
                }
            }
        }

        internal virtual Timer tmrAnimation
        {
            [DebuggerNonUserCode]
            get
            {
                return this._tmrAnimation;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                EventHandler handler = new EventHandler(this.TimerTick);
                if (this._tmrAnimation != null)
                {
                    this._tmrAnimation.Tick -= handler;
                }
                this._tmrAnimation = value;
                if (this._tmrAnimation != null)
                {
                    this._tmrAnimation.Tick += handler;
                }
            }
        }
    }
}

