﻿namespace DemoVB
{
    using DemoVB.My.Resources;
    using Dioada.ActiveFinish;
    using Dioada.ActiveFinish.Controls;
    using Dioada.ActiveFinish.Effects;
    using Dioada.ActiveFinish.Elements;
    using Dioada.DirectShow;
    using Dioada.Drawing;
    using Microsoft.VisualBasic;
    using Microsoft.VisualBasic.CompilerServices;
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Diagnostics;
    using System.Drawing;
    using System.Drawing.Text;
    using System.IO;
    using System.Runtime.CompilerServices;
    using System.Windows.Forms;

    [DesignerGenerated]
    public class VideoPlayerDemo : Form
    {
        [AccessedThroughProperty("AfButton1")]
        private AFButton _AfButton1;
        [AccessedThroughProperty("BlackWhiteToolStripMenuItem")]
        private ToolStripMenuItem _BlackWhiteToolStripMenuItem;
        [AccessedThroughProperty("BlurToolStripMenuItem")]
        private ToolStripMenuItem _BlurToolStripMenuItem;
        [AccessedThroughProperty("ColorExtractorToolStripMenuItem")]
        private ToolStripMenuItem _ColorExtractorToolStripMenuItem;
        [AccessedThroughProperty("GrayscaleToolStripMenuItem")]
        private ToolStripMenuItem _GrayscaleToolStripMenuItem;
        [AccessedThroughProperty("Label1")]
        private Label _Label1;
        [AccessedThroughProperty("Label2")]
        private Label _Label2;
        [AccessedThroughProperty("mnuEffects")]
        private ToolStripDropDownButton _mnuEffects;
        [AccessedThroughProperty("mnuPause")]
        private ToolStripButton _mnuPause;
        [AccessedThroughProperty("mnuPlay")]
        private ToolStripButton _mnuPlay;
        [AccessedThroughProperty("mnuRewind")]
        private ToolStripButton _mnuRewind;
        [AccessedThroughProperty("mnuSunOnScreen")]
        private ToolStripMenuItem _mnuSunOnScreen;
        [AccessedThroughProperty("NegativeToolStripMenuItem")]
        private ToolStripMenuItem _NegativeToolStripMenuItem;
        [AccessedThroughProperty("NoneToolStripMenuItem")]
        private ToolStripMenuItem _NoneToolStripMenuItem;
        [AccessedThroughProperty("OpacityToolStripMenuItem")]
        private ToolStripMenuItem _OpacityToolStripMenuItem;
        [AccessedThroughProperty("RedFilterToolStripMenuItem")]
        private ToolStripMenuItem _RedFilterToolStripMenuItem;
        [AccessedThroughProperty("RotateAndSizeToolStripMenuItem")]
        private ToolStripMenuItem _RotateAndSizeToolStripMenuItem;
        [AccessedThroughProperty("SaturationToolStripMenuItem")]
        private ToolStripMenuItem _SaturationToolStripMenuItem;
        [AccessedThroughProperty("Timer1")]
        private Timer _Timer1;
        [AccessedThroughProperty("ToolStrip1")]
        private ToolStrip _ToolStrip1;
        [AccessedThroughProperty("ToolStripSeparator1")]
        private ToolStripSeparator _ToolStripSeparator1;
        [AccessedThroughProperty("ToolStripSeparator3")]
        private ToolStripSeparator _ToolStripSeparator3;
        [AccessedThroughProperty("WarpToolStripMenuItem")]
        private ToolStripMenuItem _WarpToolStripMenuItem;
        [AccessedThroughProperty("WaterToolStripMenuItem")]
        private ToolStripMenuItem _WaterToolStripMenuItem;
        private IContainer components;
        private VideoPlayerBeta Player;
        private Effect SelectedEffect;
        private ToolStripMenuItem SelectedMenuItem;

        public VideoPlayerDemo()
        {
            //IEnumerator VB$t_ref$L1;
            this.Player = null;
            this.SelectedEffect = null;
            this.SelectedMenuItem = null;
            this.InitializeComponent();
            if (!this.DesignMode)
            {
                this.InitialzeComponentRuntime();
            }
            this.Player = (VideoPlayerBeta) this.AfButton1.Canvas.RootLayer.FindFirstElementByType(typeof(VideoPlayerBeta), true).Last;
            ToolStripItemCollection items = this.mnuEffects.DropDownItems;
            try
            {
                VB$t_ref$L1 = items.GetEnumerator();
                while (VB$t_ref$L1.MoveNext())
                {
                    ToolStripMenuItem item2 = RuntimeHelpers.GetObjectValue(VB$t_ref$L1.Current) as ToolStripMenuItem;
                    if (item2 != null)
                    {
                        item2.Click += new EventHandler(this.EffectSelected);
                    }
                }
            }
            finally
            {
                if (VB$t_ref$L1 is IDisposable)
                {
                    (VB$t_ref$L1 as IDisposable).Dispose();
                }
            }
            this.Timer1.Tick += new EventHandler(this.TimerTick);
            this.SelectedMenuItem = this.NoneToolStripMenuItem;
        }

        private void ButtonClick(object sender, EventArgs e)
        {
            if (this.Player.State != PlayerState.Playing)
            {
                this.Play();
            }
            else
            {
                this.Pause();
            }
        }

        [DebuggerNonUserCode]
        protected override void Dispose(bool disposing)
        {
            try
            {
                if (disposing && (this.components != null))
                {
                    this.components.Dispose();
                }
            }
            finally
            {
                base.Dispose(disposing);
            }
        }

        private void EffectSelected(object sender, EventArgs e)
        {
            ToolStripMenuItem item = (ToolStripMenuItem) sender;
            string effectName = Conversions.ToString(item.Tag);
            if (effectName == "sunonscreen")
            {
                this.mnuSunOnScreen.Checked = !this.mnuSunOnScreen.Checked;
                Plugin screen = this.AfButton1.Canvas.RootLayer.FindElementByName("tvscreen", true, true).Last;
                screen.Enabled = !screen.Enabled;
            }
            else
            {
                if (this.SelectedEffect != null)
                {
                    this.SelectedEffect.Enabled = false;
                }
                this.SelectedMenuItem.Checked = false;
                this.SelectedMenuItem = item;
                item.Checked = true;
                this.Timer1.Stop();
                Layer rootLayer = this.AfButton1.Canvas.RootLayer;
                rootLayer.Angle = 0f;
                SizeF VB$t_struct$S0 = new SizeF(1f, 1f);
                rootLayer.Size = VB$t_struct$S0;
                SngPoint VB$t_struct$S1 = new SngPoint(0f, 0f);
                rootLayer.Location = VB$t_struct$S1;
                if (effectName == "rotateandsize")
                {
                    this.Timer1.Start();
                }
                else if (effectName != "none")
                {
                    Effect effect = (Effect) this.AfButton1.Canvas.RootLayer.FindEffectByName(effectName, true, true).Last;
                    effect.Enabled = true;
                    this.SelectedEffect = effect;
                }
                this.AfButton1.Canvas.RootLayer.FindElementByName("sunoverocean", true, true).Last.Enabled = effectName == "opacity";
                this.AfButton1.Canvas.RootLayer.FindElementByName("turtle", true, true).Last.Enabled = effectName == "colorextractor";
                this.AfButton1.RefreshImage();
            }
        }

        [DebuggerStepThrough]
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            ComponentResourceManager resources = new ComponentResourceManager(typeof(VideoPlayerDemo));
            EffectSet EffectSet1 = new EffectSet();
            ElementSet ElementSet1 = new ElementSet();
            ImagePlugin ImagePlugin1 = new ImagePlugin();
            ImagePlugin ImagePlugin2 = new ImagePlugin();
            VideoPlayerBeta VideoPlayerBeta1 = new VideoPlayerBeta();
            TextGDIPlus TextGDIPlus1 = new TextGDIPlus();
            ImagePlugin ImagePlugin3 = new ImagePlugin();
            ImagePlugin ImagePlugin4 = new ImagePlugin();
            this.ToolStrip1 = new ToolStrip();
            this.mnuPlay = new ToolStripButton();
            this.mnuPause = new ToolStripButton();
            this.mnuRewind = new ToolStripButton();
            this.ToolStripSeparator1 = new ToolStripSeparator();
            this.mnuEffects = new ToolStripDropDownButton();
            this.NoneToolStripMenuItem = new ToolStripMenuItem();
            this.RedFilterToolStripMenuItem = new ToolStripMenuItem();
            this.WarpToolStripMenuItem = new ToolStripMenuItem();
            this.WaterToolStripMenuItem = new ToolStripMenuItem();
            this.BlurToolStripMenuItem = new ToolStripMenuItem();
            this.BlackWhiteToolStripMenuItem = new ToolStripMenuItem();
            this.ColorExtractorToolStripMenuItem = new ToolStripMenuItem();
            this.GrayscaleToolStripMenuItem = new ToolStripMenuItem();
            this.NegativeToolStripMenuItem = new ToolStripMenuItem();
            this.SaturationToolStripMenuItem = new ToolStripMenuItem();
            this.OpacityToolStripMenuItem = new ToolStripMenuItem();
            this.RotateAndSizeToolStripMenuItem = new ToolStripMenuItem();
            this.ToolStripSeparator3 = new ToolStripSeparator();
            this.mnuSunOnScreen = new ToolStripMenuItem();
            this.Timer1 = new Timer(this.components);
            this.Label1 = new Label();
            this.Label2 = new Label();
            this.AfButton1 = new AFButton();
            this.ToolStrip1.SuspendLayout();
            this.SuspendLayout();
            this.ToolStrip1.Items.AddRange(new ToolStripItem[] { this.mnuPlay, this.mnuPause, this.mnuRewind, this.ToolStripSeparator1, this.mnuEffects });
            Point VB$t_struct$S0 = new Point(0, 0);
            this.ToolStrip1.Location = VB$t_struct$S0;
            this.ToolStrip1.Name = "ToolStrip1";
            Size VB$t_struct$S1 = new Size(0x14f, 0x19);
            this.ToolStrip1.Size = VB$t_struct$S1;
            this.ToolStrip1.TabIndex = 1;
            this.ToolStrip1.Text = "ToolStrip1";
            this.mnuPlay.DisplayStyle = ToolStripItemDisplayStyle.Image;
            this.mnuPlay.Image = (Image) resources.GetObject("mnuPlay.Image");
            this.mnuPlay.ImageTransparentColor = Color.Magenta;
            this.mnuPlay.Name = "mnuPlay";
            VB$t_struct$S1 = new Size(0x17, 0x16);
            this.mnuPlay.Size = VB$t_struct$S1;
            this.mnuPlay.Text = "ToolStripButton1";
            this.mnuPause.DisplayStyle = ToolStripItemDisplayStyle.Image;
            this.mnuPause.Image = (Image) resources.GetObject("mnuPause.Image");
            this.mnuPause.ImageTransparentColor = Color.Magenta;
            this.mnuPause.Name = "mnuPause";
            VB$t_struct$S1 = new Size(0x17, 0x16);
            this.mnuPause.Size = VB$t_struct$S1;
            this.mnuPause.Text = "ToolStripButton2";
            this.mnuRewind.DisplayStyle = ToolStripItemDisplayStyle.Image;
            this.mnuRewind.Image = (Image) resources.GetObject("mnuRewind.Image");
            this.mnuRewind.ImageTransparentColor = Color.Magenta;
            this.mnuRewind.Name = "mnuRewind";
            VB$t_struct$S1 = new Size(0x17, 0x16);
            this.mnuRewind.Size = VB$t_struct$S1;
            this.mnuRewind.Text = "ToolStripButton3";
            this.ToolStripSeparator1.Name = "ToolStripSeparator1";
            VB$t_struct$S1 = new Size(6, 0x19);
            this.ToolStripSeparator1.Size = VB$t_struct$S1;
            this.mnuEffects.DisplayStyle = ToolStripItemDisplayStyle.Text;
            this.mnuEffects.DropDownItems.AddRange(new ToolStripItem[] { this.NoneToolStripMenuItem, this.RedFilterToolStripMenuItem, this.WarpToolStripMenuItem, this.WaterToolStripMenuItem, this.BlurToolStripMenuItem, this.BlackWhiteToolStripMenuItem, this.ColorExtractorToolStripMenuItem, this.GrayscaleToolStripMenuItem, this.NegativeToolStripMenuItem, this.SaturationToolStripMenuItem, this.OpacityToolStripMenuItem, this.RotateAndSizeToolStripMenuItem, this.ToolStripSeparator3, this.mnuSunOnScreen });
            this.mnuEffects.Image = (Image) resources.GetObject("mnuEffects.Image");
            this.mnuEffects.ImageTransparentColor = Color.Magenta;
            this.mnuEffects.Name = "mnuEffects";
            VB$t_struct$S1 = new Size(0x36, 0x16);
            this.mnuEffects.Size = VB$t_struct$S1;
            this.mnuEffects.Text = "Effects";
            this.NoneToolStripMenuItem.Checked = true;
            this.NoneToolStripMenuItem.CheckState = CheckState.Checked;
            this.NoneToolStripMenuItem.Name = "NoneToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.NoneToolStripMenuItem.Size = VB$t_struct$S1;
            this.NoneToolStripMenuItem.Tag = "none";
            this.NoneToolStripMenuItem.Text = "None";
            this.RedFilterToolStripMenuItem.Name = "RedFilterToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.RedFilterToolStripMenuItem.Size = VB$t_struct$S1;
            this.RedFilterToolStripMenuItem.Tag = "redfilter";
            this.RedFilterToolStripMenuItem.Text = "Red Filter";
            this.WarpToolStripMenuItem.Name = "WarpToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.WarpToolStripMenuItem.Size = VB$t_struct$S1;
            this.WarpToolStripMenuItem.Tag = "warp";
            this.WarpToolStripMenuItem.Text = "Warp";
            this.WaterToolStripMenuItem.Name = "WaterToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.WaterToolStripMenuItem.Size = VB$t_struct$S1;
            this.WaterToolStripMenuItem.Tag = "water";
            this.WaterToolStripMenuItem.Text = "Water";
            this.BlurToolStripMenuItem.Name = "BlurToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.BlurToolStripMenuItem.Size = VB$t_struct$S1;
            this.BlurToolStripMenuItem.Tag = "blur";
            this.BlurToolStripMenuItem.Text = "Blur";
            this.BlackWhiteToolStripMenuItem.Name = "BlackWhiteToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.BlackWhiteToolStripMenuItem.Size = VB$t_struct$S1;
            this.BlackWhiteToolStripMenuItem.Tag = "blackandwhite";
            this.BlackWhiteToolStripMenuItem.Text = "Black and White";
            this.ColorExtractorToolStripMenuItem.Name = "ColorExtractorToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.ColorExtractorToolStripMenuItem.Size = VB$t_struct$S1;
            this.ColorExtractorToolStripMenuItem.Tag = "colorextractor";
            this.ColorExtractorToolStripMenuItem.Text = "Color Extractor";
            this.GrayscaleToolStripMenuItem.Name = "GrayscaleToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.GrayscaleToolStripMenuItem.Size = VB$t_struct$S1;
            this.GrayscaleToolStripMenuItem.Tag = "grayscale";
            this.GrayscaleToolStripMenuItem.Text = "Gray Scale";
            this.NegativeToolStripMenuItem.Name = "NegativeToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.NegativeToolStripMenuItem.Size = VB$t_struct$S1;
            this.NegativeToolStripMenuItem.Tag = "negative";
            this.NegativeToolStripMenuItem.Text = "Negative";
            this.SaturationToolStripMenuItem.Name = "SaturationToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.SaturationToolStripMenuItem.Size = VB$t_struct$S1;
            this.SaturationToolStripMenuItem.Tag = "coloradjustment";
            this.SaturationToolStripMenuItem.Text = "Saturation";
            this.OpacityToolStripMenuItem.Name = "OpacityToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.OpacityToolStripMenuItem.Size = VB$t_struct$S1;
            this.OpacityToolStripMenuItem.Tag = "opacity";
            this.OpacityToolStripMenuItem.Text = "Opacity";
            this.RotateAndSizeToolStripMenuItem.Name = "RotateAndSizeToolStripMenuItem";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.RotateAndSizeToolStripMenuItem.Size = VB$t_struct$S1;
            this.RotateAndSizeToolStripMenuItem.Tag = "rotateandsize";
            this.RotateAndSizeToolStripMenuItem.Text = "Rotate and Size";
            this.ToolStripSeparator3.Name = "ToolStripSeparator3";
            VB$t_struct$S1 = new Size(0x9e, 6);
            this.ToolStripSeparator3.Size = VB$t_struct$S1;
            this.mnuSunOnScreen.Name = "mnuSunOnScreen";
            VB$t_struct$S1 = new Size(0xa1, 0x16);
            this.mnuSunOnScreen.Size = VB$t_struct$S1;
            this.mnuSunOnScreen.Tag = "sunonscreen";
            this.mnuSunOnScreen.Text = "Sun on Screen";
            this.Timer1.Interval = 1;
            VB$t_struct$S0 = new Point(0, 0x19);
            this.Label1.Location = VB$t_struct$S0;
            this.Label1.Name = "Label1";
            Padding VB$t_struct$S2 = new Padding(3, 3, 3, 0);
            this.Label1.Padding = VB$t_struct$S2;
            VB$t_struct$S1 = new Size(330, 0x3b);
            this.Label1.Size = VB$t_struct$S1;
            this.Label1.TabIndex = 2;
            this.Label1.Text = resources.GetString("Label1.Text");
            VB$t_struct$S0 = new Point(2, 0x54);
            this.Label2.Location = VB$t_struct$S0;
            this.Label2.Name = "Label2";
            VB$t_struct$S2 = new Padding(3, 3, 3, 0);
            this.Label2.Padding = VB$t_struct$S2;
            VB$t_struct$S1 = new Size(330, 0x2e);
            this.Label2.Size = VB$t_struct$S1;
            this.Label2.TabIndex = 3;
            this.Label2.Text = "The demo video is encoded with the DivX codec. If you have problems playing the video, try replacing it with a video that you know works on your PC.";
            this.AfButton1.Anchor = AnchorStyles.Bottom;
            this.AfButton1.Canvas.RootLayer.EffectSet = EffectSet1;
            ImagePlugin1.Enabled = false;
            ImagePlugin1.Name = "sunoverocean";
            ImagePlugin1.Source.Image = DemoVB.My.Resources.Resources.sun_over_the_ocean;
            ImagePlugin2.Enabled = false;
            ImagePlugin2.Name = "turtle";
            ImagePlugin2.Source.Image = DemoVB.My.Resources.Resources.ocean_turtle;
            VideoPlayerBeta1.FramesPerSecond = 25f;
            VideoPlayerBeta1.LoopVideo = true;
            VideoPlayerBeta1.PreviewImage = (Image) resources.GetObject("VideoPlayerBeta1.PreviewImage");
            VideoPlayerBeta1.VideoStream = (MemoryStream) resources.GetObject("VideoPlayerBeta1.VideoStream");
            TextGDIPlus1.AutoSize = false;
            TextGDIPlus1.Font = new Font("Microsoft Sans Serif", 12f, FontStyle.Regular, GraphicsUnit.Point, 0);
            TextGDIPlus1.ForeColor = Color.FromArgb(100, 0, 0, 0);
            SngPoint VB$t_struct$S3 = new SngPoint(0.2595745f, 0.8852459f);
            TextGDIPlus1.Location = VB$t_struct$S3;
            TextGDIPlus1.Name = "Watermark";
            TextGDIPlus1.RenderingMode = TextRenderingHint.AntiAlias;
            SizeF VB$t_struct$S4 = new SizeF(0.7489362f, 0.1147541f);
            TextGDIPlus1.Size = VB$t_struct$S4;
            TextGDIPlus1.Text = "www.ActiveFinish.com";
            ImagePlugin3.Enabled = false;
            ImagePlugin3.Name = "tvscreen";
            ImagePlugin3.Source.Image = DemoVB.My.Resources.Resources.tvscreen;
            VB$t_struct$S3 = new SngPoint(0.4f, 0.3825137f);
            ImagePlugin4.Location = VB$t_struct$S3;
            ImagePlugin4.Name = "playbutton";
            ImagePlugin4.Opacity = 0.79f;
            VB$t_struct$S4 = new SizeF(0.2018927f, 0.2352941f);
            ImagePlugin4.Size = VB$t_struct$S4;
            ImagePlugin4.Source.Image = (Image) resources.GetObject("resource.Image");
            ElementSet1.Elements.AddRange(new Element[] { ImagePlugin1, ImagePlugin2, VideoPlayerBeta1, TextGDIPlus1, ImagePlugin3, ImagePlugin4 });
            this.AfButton1.Canvas.RootLayer.ElementSet = ElementSet1;
            this.AfButton1.Cursor = Cursors.Hand;
            VB$t_struct$S0 = new Point(0x2d, 0x8f);
            this.AfButton1.Location = VB$t_struct$S0;
            this.AfButton1.Name = "AfButton1";
            VB$t_struct$S1 = new Size(0xf3, 0xbf);
            this.AfButton1.Size = VB$t_struct$S1;
            this.AfButton1.TabIndex = 0;
            this.AfButton1.UseVisualStyleBackColor = true;
            VB$t_struct$S4 = new SizeF(6f, 13f);
            this.AutoScaleDimensions = VB$t_struct$S4;
            this.AutoScaleMode = AutoScaleMode.Font;
            VB$t_struct$S1 = new Size(0x14f, 0x15a);
            this.ClientSize = VB$t_struct$S1;
            this.Controls.Add(this.Label2);
            this.Controls.Add(this.Label1);
            this.Controls.Add(this.AfButton1);
            this.Controls.Add(this.ToolStrip1);
            this.FormBorderStyle = FormBorderStyle.FixedDialog;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "VideoPlayerDemo";
            this.Text = " Video Player Demo";
            this.ToolStrip1.ResumeLayout(false);
            this.ToolStrip1.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();
        }

        private void InitialzeComponentRuntime()
        {
            ColorAdjustment ColorAdjustment1 = new ColorAdjustment();
            ColorExtractor ColorExtractor1 = new ColorExtractor();
            GreyScale GreyScale1 = new GreyScale();
            Negative Negative1 = new Negative();
            Opacity Opacity1 = new Opacity();
            ColorAdjustment ColorAdjustment2 = new ColorAdjustment();
            BlackAndWhite BlackAndWhite1 = new BlackAndWhite();
            Distorter Distorter1 = new Distorter();
            ColorBalance ColorBalance1 = new ColorBalance();
            Warp Warp1 = new Warp();
            Water Water1 = new Water();
            ColorAdjustment1.Contrast = 100;
            ColorAdjustment1.Enabled = false;
            ColorAdjustment1.Hue = 180;
            ColorAdjustment1.Saturation = 100;
            ColorExtractor1.Enabled = false;
            ColorExtractor1.ExtractColor = Color.FromArgb(0x1f, 0x1f, 0x22);
            ColorExtractor1.Name = "colorextractor";
            ColorExtractor1.Tolerance = 0x65;
            GreyScale1.Enabled = false;
            GreyScale1.Name = "grayscale";
            Negative1.Enabled = false;
            Negative1.Name = "negative";
            Opacity1.Enabled = false;
            Opacity1.Level = 0.26f;
            Opacity1.Name = "opacity";
            ColorAdjustment2.Enabled = false;
            ColorAdjustment2.Hue = -61;
            ColorAdjustment2.Name = "coloradjustment";
            ColorAdjustment2.Saturation = 0x2d;
            BlackAndWhite1.Balance = 0.43f;
            BlackAndWhite1.Enabled = false;
            BlackAndWhite1.Name = "blackandwhite";
            Distorter1.Amount = 0.6f;
            Distorter1.Enabled = false;
            Distorter1.Name = "blur";
            Distorter1.Smoothness = 4;
            ColorBalance1.Blue = -255;
            ColorBalance1.Enabled = false;
            ColorBalance1.Green = -255;
            ColorBalance1.Name = "redfilter";
            Warp1.Amount = 9f;
            Warp1.ApplySmoothing = true;
            Warp1.Enabled = false;
            Warp1.Name = "warp";
            Water1.Amount = -22f;
            Water1.Enabled = false;
            Water1.Name = "water";
            Layer rootLayer = this.AfButton1.Canvas.RootLayer;
            VideoPlayerBeta video = (VideoPlayerBeta) rootLayer.FindFirstElementByType(typeof(VideoPlayerBeta), true).Last;
            Layer subLayer = new Layer();
            subLayer.AddElement<VideoPlayerBeta>(video);
            rootLayer.Elements.Remove(video);
            rootLayer.Elements.Insert(3, subLayer);
            subLayer.Effects.AddRange(new Effect[] { ColorAdjustment1, ColorExtractor1, GreyScale1, Negative1, Opacity1, ColorAdjustment2, BlackAndWhite1, Distorter1, ColorBalance1, Warp1, Water1 });
        }

        private void Pause()
        {
            this.Player.Pause();
            this.AfButton1.Canvas.RootLayer.FindElementByName("playbutton", true, true).Last.Enabled = true;
            this.AfButton1.RefreshImage();
        }

        private void PauseClick(object sender, EventArgs e)
        {
            this.Pause();
        }

        private void Play()
        {
            this.AfButton1.Canvas.RootLayer.FindElementByName("playbutton", true, true).Last.Enabled = false;
            this.Player.Start();
        }

        private void PlayClick(object sender, EventArgs e)
        {
            this.Play();
        }

        private void RewindClick(object sender, EventArgs e)
        {
            this.Player.RewindToStart();
        }

        private void TimerTick(object sender, EventArgs e)
        {
            float hOffset;
            float wOffset;
            int min = 100;
            int max = 200;
            int div = 0x2710;
            object data = RuntimeHelpers.GetObjectValue(this.Timer1.Tag);
            if (data != null)
            {
                string[] ar = Conversions.ToString(data).Split(new char[] { ',' });
                wOffset = Conversions.ToSingle(ar[0]);
                hOffset = Conversions.ToSingle(ar[1]);
            }
            else
            {
                Random r = new Random(DateAndTime.Now.Millisecond);
                wOffset = (float) (((double) r.Next(min, max)) / ((double) div));
                r = new Random();
                hOffset = (float) (((double) r.Next(min, max)) / ((double) div));
            }
            Layer l = this.AfButton1.Canvas.RootLayer;
            float w = l.Width;
            float h = l.Height;
            Layer VB$t_ref$S0 = l;
            VB$t_ref$S0.Angle += 2f;
            w += wOffset;
            if (w < 0.05f)
            {
                w = 0.05f;
                Random r = new Random(DateAndTime.Now.Millisecond);
                wOffset = (float) (((double) r.Next(min, max)) / ((double) div));
            }
            else if (w > 1f)
            {
                w = 1f;
                Random r = new Random(DateAndTime.Now.Millisecond);
                wOffset = -((float) (((double) r.Next(min, max)) / ((double) div)));
            }
            h += hOffset;
            if (h < 0.05f)
            {
                h = 0.05f;
                Random r = new Random();
                hOffset = (float) (((double) r.Next(min, max)) / ((double) div));
            }
            else if (h > 1f)
            {
                h = 1f;
                Random r = new Random();
                hOffset = -((float) (((double) r.Next(min, max)) / ((double) div)));
            }
            SizeF VB$t_struct$S0 = new SizeF(w, h);
            l.SetSize((SizeF) this.AfButton1.Canvas.Size, VB$t_struct$S0, ReSizeAnchor.Center);
            this.AfButton1.RefreshImage();
            this.Timer1.Tag = wOffset.ToString() + "," + hOffset.ToString();
        }

        internal virtual AFButton AfButton1
        {
            [DebuggerNonUserCode]
            get
            {
                return this._AfButton1;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                EventHandler handler = new EventHandler(this.ButtonClick);
                if (this._AfButton1 != null)
                {
                    this._AfButton1.Click -= handler;
                }
                this._AfButton1 = value;
                if (this._AfButton1 != null)
                {
                    this._AfButton1.Click += handler;
                }
            }
        }

        internal virtual ToolStripMenuItem BlackWhiteToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._BlackWhiteToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._BlackWhiteToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem BlurToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._BlurToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._BlurToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem ColorExtractorToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._ColorExtractorToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._ColorExtractorToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem GrayscaleToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._GrayscaleToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._GrayscaleToolStripMenuItem = value;
            }
        }

        internal virtual Label Label1
        {
            [DebuggerNonUserCode]
            get
            {
                return this._Label1;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._Label1 = value;
            }
        }

        internal virtual Label Label2
        {
            [DebuggerNonUserCode]
            get
            {
                return this._Label2;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._Label2 = value;
            }
        }

        internal virtual ToolStripDropDownButton mnuEffects
        {
            [DebuggerNonUserCode]
            get
            {
                return this._mnuEffects;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._mnuEffects = value;
            }
        }

        internal virtual ToolStripButton mnuPause
        {
            [DebuggerNonUserCode]
            get
            {
                return this._mnuPause;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                EventHandler handler = new EventHandler(this.PauseClick);
                if (this._mnuPause != null)
                {
                    this._mnuPause.Click -= handler;
                }
                this._mnuPause = value;
                if (this._mnuPause != null)
                {
                    this._mnuPause.Click += handler;
                }
            }
        }

        internal virtual ToolStripButton mnuPlay
        {
            [DebuggerNonUserCode]
            get
            {
                return this._mnuPlay;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                EventHandler handler = new EventHandler(this.PlayClick);
                if (this._mnuPlay != null)
                {
                    this._mnuPlay.Click -= handler;
                }
                this._mnuPlay = value;
                if (this._mnuPlay != null)
                {
                    this._mnuPlay.Click += handler;
                }
            }
        }

        internal virtual ToolStripButton mnuRewind
        {
            [DebuggerNonUserCode]
            get
            {
                return this._mnuRewind;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                EventHandler handler = new EventHandler(this.RewindClick);
                if (this._mnuRewind != null)
                {
                    this._mnuRewind.Click -= handler;
                }
                this._mnuRewind = value;
                if (this._mnuRewind != null)
                {
                    this._mnuRewind.Click += handler;
                }
            }
        }

        internal virtual ToolStripMenuItem mnuSunOnScreen
        {
            [DebuggerNonUserCode]
            get
            {
                return this._mnuSunOnScreen;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._mnuSunOnScreen = value;
            }
        }

        internal virtual ToolStripMenuItem NegativeToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._NegativeToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._NegativeToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem NoneToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._NoneToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._NoneToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem OpacityToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._OpacityToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._OpacityToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem RedFilterToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._RedFilterToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._RedFilterToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem RotateAndSizeToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._RotateAndSizeToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._RotateAndSizeToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem SaturationToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._SaturationToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._SaturationToolStripMenuItem = value;
            }
        }

        internal virtual Timer Timer1
        {
            [DebuggerNonUserCode]
            get
            {
                return this._Timer1;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._Timer1 = value;
            }
        }

        internal virtual ToolStrip ToolStrip1
        {
            [DebuggerNonUserCode]
            get
            {
                return this._ToolStrip1;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._ToolStrip1 = value;
            }
        }

        internal virtual ToolStripSeparator ToolStripSeparator1
        {
            [DebuggerNonUserCode]
            get
            {
                return this._ToolStripSeparator1;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._ToolStripSeparator1 = value;
            }
        }

        internal virtual ToolStripSeparator ToolStripSeparator3
        {
            [DebuggerNonUserCode]
            get
            {
                return this._ToolStripSeparator3;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._ToolStripSeparator3 = value;
            }
        }

        internal virtual ToolStripMenuItem WarpToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._WarpToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._WarpToolStripMenuItem = value;
            }
        }

        internal virtual ToolStripMenuItem WaterToolStripMenuItem
        {
            [DebuggerNonUserCode]
            get
            {
                return this._WaterToolStripMenuItem;
            }
            [MethodImpl(MethodImplOptions.Synchronized), DebuggerNonUserCode]
            set
            {
                this._WaterToolStripMenuItem = value;
            }
        }
    }
}

