﻿Imports Dioada.ActiveFinish

Public Class AfFlatButton1
    Inherits Dioada.ActiveFinish.Controls.AFFlatButton

    Private components As System.ComponentModel.IContainer
    Friend Timer1 As System.Windows.Forms.Timer

    Public Sub New()
        Me.InitializeComponent()
        AddHandler Me.Timer1.Tick, AddressOf Timer_Tick
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnHandleCreated(ByVal e As System.EventArgs)
        MyBase.OnHandleCreated(e)
        Dim underline = DirectCast(Me.Canvas.RootLayer.FindElementByName("underline", True, searchSubLayers:=True).Last, Element)
        underline.Enabled = False
        Me.RefreshImage()
    End Sub

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Dim underline = DirectCast(Me.Canvas.RootLayer.FindElementByName("underline", True, searchSubLayers:=True).Last, Element)
        underline.Enabled = True
        Me.Timer1.Tag = 1
        Me.Timer1.Start()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Me.Timer1.Tag = -1
        Dim textActive = DirectCast(Me.Canvas.RootLayer.FindElementByName("text_Active", True, searchSubLayers:=True).Last, Elements.TextGDIPlus)
        textActive.Font = New Font(textActive.Font, FontStyle.Regular)
        textActive.ForeColor = Color.Black
        Me.RefreshImage()
        Me.Timer1.Start()
    End Sub

    Private Sub Timer_Tick(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim rootLayer = Me.Canvas.RootLayer

        Dim underline = DirectCast(rootLayer.FindElementByName("underline", True, searchSubLayers:=True).Last, Element)
        Dim sz = underline.Size
        Dim i = CInt(Me.Timer1.Tag)
        Dim h = sz.Height + 0.15! * i

        If (h >= 1.7!) Then
            Me.Timer1.Stop()
            If h > 1.7! Then
                Dim textActive = DirectCast(rootLayer.FindElementByName("text_Active", True, searchSubLayers:=True).Last, Elements.TextGDIPlus)
                textActive.Font = New Font(textActive.Font, FontStyle.Italic)
                textActive.ForeColor = Color.DarkRed
            End If
        ElseIf h <= 0.1! Then
            Me.Timer1.Stop()
            underline.Enabled = False
        End If
        underline.SetSize(Me.Canvas.Size, New SizeF(sz.Width, h), ReSizeAnchor.TopRight)

        Me.RefreshImage()
    End Sub


    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim Layer1 As Dioada.ActiveFinish.Layer = New Dioada.ActiveFinish.Layer
        Dim EffectSet2 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ElementSet2 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim DividerLine1 As Dioada.ActiveFinish.Elements.DividerLine = New Dioada.ActiveFinish.Elements.DividerLine
        Dim HorizontalLine1 As Dioada.ActiveFinish.Elements.HorizontalLine = New Dioada.ActiveFinish.Elements.HorizontalLine
        Dim HorizontalLine2 As Dioada.ActiveFinish.Elements.HorizontalLine = New Dioada.ActiveFinish.Elements.HorizontalLine
        Dim AutoSizeText1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim AutoSizeText2 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.SuspendLayout()
        '
        'Timer1
        '
        Me.Timer1.Interval = 1
        '
        'AfFlatButton1
        '
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        Layer1.EffectSet = EffectSet2
        DividerLine1.Angle = 337.0!
        DividerLine1.Location = New Dioada.Drawing.SngPoint(-0.0673077!, 0.01010101!)
        DividerLine1.Size = New System.Drawing.SizeF(1.125!, 1.0!)
        DividerLine1.SizeWhenRasterized = New System.Drawing.Size(208, 2)
        HorizontalLine1.Angle = 337.0!
        HorizontalLine1.Color = System.Drawing.Color.RoyalBlue
        HorizontalLine1.Location = New Dioada.Drawing.SngPoint(-0.02548544!, 0.1881443!)
        HorizontalLine1.PenWidth = 2
        HorizontalLine1.Size = New System.Drawing.SizeF(0.5315534!, 0.02061856!)
        ElementSet2.Elements.AddRange(New Dioada.ActiveFinish.Element() {DividerLine1, HorizontalLine1})
        Layer1.ElementSet = ElementSet2
        Layer1.Location = New Dioada.Drawing.SngPoint(0.004807692!, 0.01010101!)
        Layer1.Size = New System.Drawing.SizeF(0.9903846!, 0.979798!)
        HorizontalLine2.Angle = 90.0!
        HorizontalLine2.Location = New Dioada.Drawing.SngPoint(0.9615384!, 0.9191919!)
        HorizontalLine2.Name = "underline"
        HorizontalLine2.Size = New System.Drawing.SizeF(0.02884615!, 0.04040404!)
        HorizontalLine2.SizeWhenRasterized = New System.Drawing.Size(208, 1)
        AutoSizeText1.Font = New System.Drawing.Font("Microsoft Sans Serif", 12.0!)
        AutoSizeText1.Location = New Dioada.Drawing.SngPoint(0.5288461!, 0.7171717!)
        AutoSizeText1.Name = "text_Active"
        AutoSizeText1.Size = New System.Drawing.SizeF(0.4519231!, 0.2020202!)
        AutoSizeText1.Text = "Active"
        AutoSizeText2.Font = New System.Drawing.Font("Microsoft Sans Serif", 12.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        AutoSizeText2.Location = New Dioada.Drawing.SngPoint(0.7596154!, 0.7171717!)
        AutoSizeText2.Name = "text_Finish"
        AutoSizeText2.Size = New System.Drawing.SizeF(0.4519231!, 0.2020202!)
        AutoSizeText2.Text = "Finish"
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, Layer1, HorizontalLine2, AutoSizeText1, AutoSizeText2})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SizeWhenRasterized = New System.Drawing.Size(208, 99)
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(208, 99)
        Me.UseVisualStyleBackColor = True
        Me.ResumeLayout(False)

    End Sub

End Class
