﻿Imports Dioada.ActiveFinish

Public Class AfFlatButton2
    Inherits Dioada.ActiveFinish.Controls.AFFlatButton

    Private components As System.ComponentModel.IContainer
    Friend WithEvents Timer1 As System.Windows.Forms.Timer
    Private elBackground As Elements.LinearGradientRectangle
    Private elPicCover As Elements.PathGradientRectangle
    Private elLight As Elements.PathGradientEllipse
    Private elBackGroundImage As Elements.ImagePlugin
    Private efColorAdjust As Effects.ColorAdjustment

    Public Sub New()
        Me.InitializeComponent()
        AddHandler Me.Timer1.Tick, AddressOf Timer_Tick
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnHandleCreated(ByVal e As System.EventArgs)
        MyBase.OnHandleCreated(e)
        Dim rootLayer = Me.Canvas.RootLayer
        Me.elBackground = DirectCast(rootLayer.FindElementByName("background", True, True).Last, Elements.LinearGradientRectangle)
        Me.elPicCover = DirectCast(rootLayer.FindElementByName("picCover", True, True).Last, Elements.PathGradientRectangle)
        Me.elLight = DirectCast(rootLayer.FindElementByName("light", True, True).Last, Elements.PathGradientEllipse)
        Me.elBackGroundImage = DirectCast(rootLayer.FindElementByName("backgroundImage", True, True).Last, Elements.ImagePlugin)
        Me.efColorAdjust = DirectCast(rootLayer.FindFirstEffectByType(GetType(Effects.ColorAdjustment), True).Last, Effects.ColorAdjustment)
    End Sub

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Me.Timer1.Tag = -1
        Me.Timer1.Start()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Me.Timer1.Tag = 1
        Me.Timer1.Start()
    End Sub

    Private Sub Timer_Tick(ByVal sender As Object, ByVal e As EventArgs)

        Dim i As Integer = CInt(Me.Timer1.Tag)
        Dim color As Color
        Dim opacity As Integer

        ' Adjust the border
        Dim bg = Me.elBackground
        bg.BorderFillColorBlendPosition -= CSng(i / 100)
        color = bg.BorderFillColor1
        Dim R As Integer = color.R
        R += i
        bg.BorderFillColor1 = color.FromArgb(R, R, color.B)

        color = bg.BackColor1
        opacity = color.A
        opacity -= i * 7
        If opacity <= 0 Then
            opacity = 0
        ElseIf opacity >= 255 Then
            opacity = 255
        End If
        bg.BackColor1 = color.FromArgb(opacity, color)
        bg.BackColor2 = color.FromArgb(opacity, bg.BackColor2)

        ' Adjust the light
        color = Me.elLight.BackSurroundColor
        opacity = color.A
        opacity -= i
        Me.elLight.BackSurroundColor = color.FromArgb(CByte(opacity), color)
        Dim hue = Me.efColorAdjust.Hue
        hue += 1 * 2
        If hue > 180 Then
            hue = -180
        End If
        Me.efColorAdjust.Hue = hue

        ' Reveal the image
        color = Me.elPicCover.BackCenterColor
        opacity = color.A
        opacity += i * 7
        If opacity <= 0 Then
            opacity = 0
            Me.Timer1.Stop()
        ElseIf opacity >= 255 Then
            opacity = 255
            Me.Timer1.Stop()
        End If
        Me.elPicCover.BackCenterColor = color.FromArgb(opacity, color)
        Me.elPicCover.BackSurroundColor = color.FromArgb(opacity, Me.elPicCover.BackSurroundColor)
        Me.RefreshImage()

    End Sub

    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim ImagePlugin1 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim ImagePlugin2 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim PathGradientRectangle1 As Dioada.ActiveFinish.Elements.PathGradientRectangle = New Dioada.ActiveFinish.Elements.PathGradientRectangle
        Dim Layer1 As Dioada.ActiveFinish.Layer = New Dioada.ActiveFinish.Layer
        Dim EffectSet2 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ColorAdjustment1 As Dioada.ActiveFinish.Effects.ColorAdjustment = New Dioada.ActiveFinish.Effects.ColorAdjustment
        Dim ElementSet2 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim PathGradientEllipse1 As Dioada.ActiveFinish.Elements.PathGradientEllipse = New Dioada.ActiveFinish.Elements.PathGradientEllipse
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.SuspendLayout()
        '
        'Timer1
        '
        Me.Timer1.Interval = 1
        '
        'AfFlatButton4
        '
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        ImagePlugin1.Location = New Dioada.Drawing.SngPoint(0.1066667!, 0.08!)
        ImagePlugin1.Name = "backgroundImage"
        ImagePlugin1.Size = New System.Drawing.SizeF(0.7866667!, 0.84!)
        ImagePlugin1.Source.Image = Global.Demonstration.My.Resources.Resources._3men
        LinearGradientRectangle1.BackColor1 = System.Drawing.Color.FromArgb(CType(CType(0, Byte), Integer), CType(CType(169, Byte), Integer), CType(CType(169, Byte), Integer), CType(CType(169, Byte), Integer))
        LinearGradientRectangle1.BackColor2 = System.Drawing.Color.FromArgb(CType(CType(0, Byte), Integer), CType(CType(245, Byte), Integer), CType(CType(245, Byte), Integer), CType(CType(245, Byte), Integer))
        LinearGradientRectangle1.BorderFillColor1 = System.Drawing.Color.DarkGray
        LinearGradientRectangle1.BorderFillColor2 = System.Drawing.Color.WhiteSmoke
        LinearGradientRectangle1.BorderRadius = 87.1!
        LinearGradientRectangle1.BorderWidth = 25
        LinearGradientRectangle1.Name = "background"
        LinearGradientRectangle1.OuterBorderColor = System.Drawing.Color.Black
        ImagePlugin2.Angle = 317.0!
        ImagePlugin2.Location = New Dioada.Drawing.SngPoint(0.2044444!, 0.3644444!)
        ImagePlugin2.Name = "keyboard"
        ImagePlugin2.Size = New System.Drawing.SizeF(0.5955555!, 0.2711111!)
        ImagePlugin2.Source.Image = Global.Demonstration.My.Resources.Resources.keyboard
        PathGradientRectangle1.Angle = 318.0!
        PathGradientRectangle1.BorderFillColor1 = System.Drawing.Color.DarkGray
        PathGradientRectangle1.BorderFillColor2 = System.Drawing.Color.WhiteSmoke
        PathGradientRectangle1.BorderRadius = 40.3!
        PathGradientRectangle1.BorderWidth = 18
        PathGradientRectangle1.Location = New Dioada.Drawing.SngPoint(0.1422222!, 0.3066667!)
        PathGradientRectangle1.Name = "picCover"
        PathGradientRectangle1.OuterBorderColor = System.Drawing.Color.Black
        PathGradientRectangle1.Size = New System.Drawing.SizeF(0.72!, 0.3866667!)
        EffectSet2.Effects.AddRange(New Dioada.ActiveFinish.Effect() {ColorAdjustment1})
        Layer1.EffectSet = EffectSet2
        PathGradientEllipse1.BackSurroundColor = System.Drawing.Color.FromArgb(CType(CType(146, Byte), Integer), CType(CType(255, Byte), Integer), CType(CType(0, Byte), Integer), CType(CType(0, Byte), Integer))
        PathGradientEllipse1.BorderFillColor1 = System.Drawing.Color.DarkGray
        PathGradientEllipse1.BorderFillColor2 = System.Drawing.Color.WhiteSmoke
        PathGradientEllipse1.BorderWidth = 5
        PathGradientEllipse1.Location = New Dioada.Drawing.SngPoint(0.4044445!, 0.4!)
        PathGradientEllipse1.Name = "light"
        PathGradientEllipse1.OuterBorderColor = System.Drawing.Color.Black
        PathGradientEllipse1.Size = New System.Drawing.SizeF(0.2088889!, 0.2044444!)
        ElementSet2.Elements.AddRange(New Dioada.ActiveFinish.Element() {PathGradientEllipse1})
        Layer1.ElementSet = ElementSet2
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {ImagePlugin1, LinearGradientRectangle1, ImagePlugin2, PathGradientRectangle1, Layer1})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(225, 225)
        Me.ResumeLayout(False)

    End Sub
End Class
