﻿Imports Dioada.ActiveFinish

Public Class AfLabel3
    Inherits Dioada.ActiveFinish.Controls.AFLabel

    Private components As System.ComponentModel.IContainer
    Friend Timer1 As System.Windows.Forms.Timer
    Private Cover As Elements.GlassCover

    Public Sub New()
        Me.InitializeComponent()
        AddHandler Me.Timer1.Tick, AddressOf TimerTick
    End Sub

    ' We're presetting the canvas, so we'll hide at design-time.
    <Browsable(False), DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Public Overrides ReadOnly Property Canvas() As Dioada.ActiveFinish.CanvasASO
        Get
            Return MyBase.Canvas
        End Get
    End Property

    Protected Overrides Sub OnHandleCreated(ByVal e As System.EventArgs)
        MyBase.OnHandleCreated(e)
        Me.Cover = DirectCast(Me.Canvas.RootLayer.FindElementByName("glasscover", True, True).Last, Elements.GlassCover)
    End Sub

    Protected Overrides Sub OnMouseEnter(ByVal e As System.EventArgs)
        MyBase.OnMouseEnter(e)
        Me.Timer1.Tag = -1
        Me.Timer1.Start()
    End Sub

    Protected Overrides Sub OnMouseLeave(ByVal e As System.EventArgs)
        MyBase.OnMouseLeave(e)
        Me.Timer1.Tag = 1
        Me.Timer1.Start()
    End Sub

    Private Sub TimerTick(ByVal sender As Object, ByVal e As EventArgs)
        Dim size = Me.Cover.Size
        Dim w = size.Width
        Dim i = CInt(Me.Timer1.Tag)
        w += CSng(i * 0.03)
        If w <= 0 Then
            w = 0
            Me.Timer1.Stop()
        ElseIf w >= 1 Then
            w = 1
            Me.Timer1.Stop()
        End If
        Me.Cover.Size = New SizeF(w, size.Height)
        Me.RefreshImage()
    End Sub

    Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim EffectSet1 As Dioada.ActiveFinish.EffectSet = New Dioada.ActiveFinish.EffectSet
        Dim ElementSet1 As Dioada.ActiveFinish.ElementSet = New Dioada.ActiveFinish.ElementSet
        Dim LinearGradientRectangle1 As Dioada.ActiveFinish.Elements.LinearGradientRectangle = New Dioada.ActiveFinish.Elements.LinearGradientRectangle
        Dim TextGDIPlus1 As Dioada.ActiveFinish.Elements.TextGDIPlus = New Dioada.ActiveFinish.Elements.TextGDIPlus
        Dim ImagePlugin1 As Dioada.ActiveFinish.Elements.ImagePlugin = New Dioada.ActiveFinish.Elements.ImagePlugin
        Dim resources As System.ComponentModel.ComponentResourceManager = New System.ComponentModel.ComponentResourceManager(GetType(AfLabel3))
        Dim GlassCover1 As Dioada.ActiveFinish.Elements.GlassCover = New Dioada.ActiveFinish.Elements.GlassCover
        Me.Timer1 = New System.Windows.Forms.Timer(Me.components)
        Me.SuspendLayout()
        '
        'Timer1
        '
        Me.Timer1.Interval = 1
        '
        'AfLabel3
        '
        Me.Canvas.RootLayer.EffectSet = EffectSet1
        LinearGradientRectangle1.BorderRadius = 12.0!
        TextGDIPlus1.Alignment = System.Drawing.ContentAlignment.MiddleCenter
        TextGDIPlus1.AutoSize = False
        TextGDIPlus1.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        TextGDIPlus1.Location = New Dioada.Drawing.SngPoint(0.48!, 0.0375!)
        TextGDIPlus1.Size = New System.Drawing.SizeF(0.5!, 0.925!)
        TextGDIPlus1.Text = "Hover to remove the cover"
        ImagePlugin1.Location = New Dioada.Drawing.SngPoint(0.04666667!, 0.1!)
        ImagePlugin1.Size = New System.Drawing.SizeF(0.42!, 0.8!)
        ImagePlugin1.Source.Image = CType(resources.GetObject("resource.Image"), System.Drawing.Image)
        GlassCover1.Name = "glasscover"
        ElementSet1.Elements.AddRange(New Dioada.ActiveFinish.Element() {LinearGradientRectangle1, TextGDIPlus1, ImagePlugin1, GlassCover1})
        Me.Canvas.RootLayer.ElementSet = ElementSet1
        Me.Canvas.RootLayer.SmoothingMode = Dioada.ActiveFinish.SmoothingMode.AntiAlias
        Me.Size = New System.Drawing.Size(150, 80)
        Me.ResumeLayout(False)

    End Sub

End Class
