﻿Imports Dioada.ActiveFinish

Public Class VideoPlayerDemo

    Private Player As Elements.VideoPlayerBeta = Nothing
    Private SelectedEffect As Effect = Nothing
    Private SelectedMenuItem As ToolStripMenuItem = Nothing

    Public Sub New()
        InitializeComponent()

        Me.Player = DirectCast(Me.AfButton1.Canvas.RootLayer.FindFirstElementByType(GetType(Elements.VideoPlayerBeta), True).Last, Elements.VideoPlayerBeta)

        Dim items = Me.mnuEffects.DropDownItems
        For Each item In items
            Dim item2 = TryCast(item, ToolStripMenuItem)
            If item2 IsNot Nothing Then
                AddHandler item2.Click, AddressOf EffectSelected
            End If
        Next

        AddHandler Me.Timer1.Tick, AddressOf TimerTick
        Me.SelectedMenuItem = Me.NoneToolStripMenuItem

    End Sub

    Private Sub ButtonClick(ByVal sender As Object, ByVal e As EventArgs) Handles AfButton1.Click
        If Not Me.Player.State = Dioada.DirectShow.PlayerState.Playing Then
            Me.Play()
        Else
            Me.Pause()
        End If
    End Sub

    Private Sub PlayClick(ByVal sender As Object, ByVal e As EventArgs) Handles mnuPlay.Click
        Me.Play()
    End Sub

    Private Sub PauseClick(ByVal sender As Object, ByVal e As EventArgs) Handles mnuPause.Click
        Me.Pause()
    End Sub

    Private Sub RewindClick(ByVal sender As Object, ByVal e As EventArgs) Handles mnuRewind.Click
        Me.Player.RewindToStart()
    End Sub

    Private Sub EffectSelected(ByVal sender As Object, ByVal e As EventArgs)

        Dim item = DirectCast(sender, ToolStripMenuItem)
        Dim effectName = CStr(item.Tag)
        If effectName = "sunonscreen" Then
            Me.mnuSunOnScreen.Checked = Not Me.mnuSunOnScreen.Checked
            Dim screen = Me.AfButton1.Canvas.RootLayer.FindElementByName("tvscreen", True, True).Last
            screen.Enabled = Not screen.Enabled
            Exit Sub
        End If

        If Me.SelectedEffect IsNot Nothing Then
            Me.SelectedEffect.Enabled = False
        End If
        Me.SelectedMenuItem.Checked = False

        Me.SelectedMenuItem = item
        item.Checked = True

        Me.Timer1.Stop()
        Dim rootLayer = Me.AfButton1.Canvas.RootLayer
        rootLayer.Angle = 0
        rootLayer.Size = New SizeF(1.0!, 1.0!)
        rootLayer.Location = New Dioada.Drawing.SngPoint(0.0!, 0.0!)

        If effectName = "rotateandsize" Then
            Me.Timer1.Start()
        ElseIf effectName <> "none" Then
            Dim effect = DirectCast(Me.AfButton1.Canvas.RootLayer.FindEffectByName(effectName, True, True).Last, Effect)
            effect.Enabled = True
            Me.SelectedEffect = effect
        End If

        Dim photo = Me.AfButton1.Canvas.RootLayer.FindElementByName("sunoverocean", True, True).Last
        photo.Enabled = (effectName = "opacity")

        photo = Me.AfButton1.Canvas.RootLayer.FindElementByName("turtle", True, True).Last
        photo.Enabled = (effectName = "colorextractor")

        Me.AfButton1.RefreshImage()
    End Sub

    Private Sub TimerTick(ByVal sender As Object, ByVal e As EventArgs)

        Dim min = 100
        Dim max = 200
        Dim div = 10000
        Dim wOffset, hOffset As Single

        Dim data = Me.Timer1.Tag
        If data IsNot Nothing Then
            Dim ar() = CStr(data).Split(","c)
            wOffset = CSng(ar(0))
            hOffset = CSng(ar(1))
        Else
            Dim r As New Random(Now.Millisecond)
            Dim r2 = r.Next(min, max)
            wOffset = CSng(r2 / div)
            r = New Random
            r2 = r.Next(min, max)
            hOffset = CSng(r2 / div)
        End If

        Dim l = Me.AfButton1.Canvas.RootLayer

        Dim w = l.Width
        Dim h = l.Height
        l.Angle += 2

        w += wOffset
        If w < 0.05! Then
            w = 0.05!
            Dim r As New Random(Now.Millisecond)
            Dim r2 = r.Next(min, max)
            wOffset = CSng(r2 / div)
        ElseIf w > 1.0! Then
            w = 1.0!
            Dim r As New Random(Now.Millisecond)
            Dim r2 = r.Next(min, max)
            wOffset = -CSng(r2 / div)
        End If

        h += hOffset
        If h < 0.05! Then
            h = 0.05!
            Dim r As New Random()
            Dim r2 = r.Next(min, max)
            hOffset = CSng(r2 / div)
        ElseIf h > 1.0! Then
            h = 1.0!
            Dim r As New Random()
            Dim r2 = r.Next(min, max)
            hOffset = -CSng(r2 / div)
        End If

        l.SetSize(Me.AfButton1.Canvas.Size, New SizeF(w, h), ReSizeAnchor.Center)

        Me.AfButton1.RefreshImage()

        Me.Timer1.Tag = wOffset.ToString & "," & hOffset.ToString
    End Sub

    Private Sub Play()
        Dim button = Me.AfButton1.Canvas.RootLayer.FindElementByName("playbutton", True, True).Last
        button.Enabled = False
        Me.Player.Start()
    End Sub

    Private Sub Pause()
        Me.Player.Pause()
        Dim button = Me.AfButton1.Canvas.RootLayer.FindElementByName("playbutton", True, True).Last
        button.Enabled = True
        Me.AfButton1.RefreshImage()
    End Sub

End Class